/* ------------------------------------------------------------------------------------------------------------
• LilypondContexts

abjad: abjad/ly/contexts.py

LilypondContexts.list.printAll;
LilypondContexts.includes('ChoirStaff');
LilypondContexts.includes('foo');
------------------------------------------------------------------------------------------------------------ */
LilypondContexts {
    ///////////////////////////////////////////////////////////////////////////////////////////////////////////
    // INIT
    ///////////////////////////////////////////////////////////////////////////////////////////////////////////
    classvar <list, <lilypondVersion='2.19.24', dict;
    *initClass {
        dict = this.initItems;
        list = dict.keys.as(Array).sort;
    }
    *initItems {
        ^(
            'ChoirStaff': (
                'accepts': Set[
                    'ChoirStaff',
                    'ChordNames',
                    'DrumStaff',
                    'FiguredBass',
                    'GrandStaff',
                    'Lyrics',
                    'PianoStaff',
                    'RhythmicStaff',
                    'Staff',
                    'StaffGroup',
                    ],
                'aliases': Set[],
                'consists': Set[
                    'Instrument_name_engraver',
                    'System_start_delimiter_engraver',
                    'Vertical_align_engraver',
                    ],
                'default_child': 'Staff',
                ),
            'ChordNames': (
                'accepts': Set[],
                'aliases': Set[
                    'Staff',
                    ],
                'consists': Set[
                    'Axis_group_engraver',
                    'Chord_name_engraver',
                    'Output_property_engraver',
                    'Separating_line_group_engraver',
                    ],
                ),
            'CueVoice': (
                'accepts': Set[],
                'aliases': Set[
                    'Voice',
                    ],
                'consists': Set[
                    'Arpeggio_engraver',
                    'Auto_beam_engraver',
                    'Beam_engraver',
                    'Bend_engraver',
                    'Breathing_sign_engraver',
                    'Chord_tremolo_engraver',
                    'Cluster_spanner_engraver',
                    'Dots_engraver',
                    'Double_percent_repeat_engraver',
                    'Dynamic_align_engraver',
                    'Dynamic_engraver',
                    'Fingering_engraver',
                    'Font_size_engraver',
                    'Forbid_line_break_engraver',
                    'Glissando_engraver',
                    'Grace_auto_beam_engraver',
                    'Grace_beam_engraver',
                    'Grace_engraver',
                    'Grob_pq_engraver',
                    'Instrument_switch_engraver',
                    'Laissez_vibrer_engraver',
                    'Ligature_bracket_engraver',
                    'Multi_measure_rest_engraver',
                    'New_fingering_engraver',
                    'Note_head_line_engraver',
                    'Note_heads_engraver',
                    'Note_spacing_engraver',
                    'Output_property_engraver',
                    'Part_combine_engraver',
                    'Percent_repeat_engraver',
                    'Phrasing_slur_engraver',
                    'Pitched_trill_engraver',
                    'Repeat_tie_engraver',
                    'Rest_engraver',
                    'Rhythmic_column_engraver',
                    'Script_column_engraver',
                    'Script_engraver',
                    'Slash_repeat_engraver',
                    'Slur_engraver',
                    'Spanner_break_forbid_engraver',
                    'Stem_engraver',
                    'Text_engraver',
                    'Text_spanner_engraver',
                    'Tie_engraver',
                    'Trill_spanner_engraver',
                    'Tuplet_engraver',
                    ],
                ),
            'Devnull': (
                'accepts': Set[],
                'aliases': Set[
                    'Staff',
                    'Voice',
                    ],
                'consists': Set[],
                ),
            'DrumStaff': (
                'accepts': Set[
                    'CueVoice',
                    'DrumVoice',
                    'NullVoice',
                    ],
                'aliases': Set[
                    'Staff',
                    ],
                'consists': Set[
                    'Axis_group_engraver',
                    'Bar_engraver',
                    'Clef_engraver',
                    'Collision_engraver',
                    'Cue_clef_engraver',
                    'Dot_column_engraver',
                    'Figured_bass_engraver',
                    'Figured_bass_position_engraver',
                    'Fingering_column_engraver',
                    'Font_size_engraver',
                    'Grob_pq_engraver',
                    'Instrument_name_engraver',
                    'Ledger_line_engraver',
                    'Output_property_engraver',
                    'Piano_pedal_align_engraver',
                    'Pure_from_neighbor_engraver',
                    'Rest_collision_engraver',
                    'Script_row_engraver',
                    'Separating_line_group_engraver',
                    'Staff_collecting_engraver',
                    'Staff_symbol_engraver',
                    'Time_signature_engraver',
                    ],
                'default_child': 'DrumVoice',
                ),
            'DrumVoice': (
                'accepts': Set[],
                'aliases': Set[
                    'Voice',
                    ],
                'consists': Set[
                    'Auto_beam_engraver',
                    'Beam_engraver',
                    'Bend_engraver',
                    'Breathing_sign_engraver',
                    'Chord_tremolo_engraver',
                    'Dots_engraver',
                    'Double_percent_repeat_engraver',
                    'Drum_notes_engraver',
                    'Dynamic_align_engraver',
                    'Dynamic_engraver',
                    'Font_size_engraver',
                    'Forbid_line_break_engraver',
                    'Grace_auto_beam_engraver',
                    'Grace_beam_engraver',
                    'Grace_engraver',
                    'Grob_pq_engraver',
                    'Grob_pq_engraver',
                    'Instrument_switch_engraver',
                    'Laissez_vibrer_engraver',
                    'Multi_measure_rest_engraver',
                    'Note_spacing_engraver',
                    'Output_property_engraver',
                    'Part_combine_engraver',
                    'Percent_repeat_engraver',
                    'Phrasing_slur_engraver',
                    'Pitched_trill_engraver',
                    'Repeat_tie_engraver',
                    'Rest_engraver',
                    'Rhythmic_column_engraver',
                    'Script_column_engraver',
                    'Script_engraver',
                    'Slash_repeat_engraver',
                    'Slur_engraver',
                    'Spanner_break_forbid_engraver',
                    'Stem_engraver',
                    'Text_engraver',
                    'Text_spanner_engraver',
                    'Tie_engraver',
                    'Trill_spanner_engraver',
                    'Tuplet_engraver',
                    ],
                ),
            'Dynamics': (
                'accepts': Set[],
                'aliases': Set[
                    'Voice',
                    ],
                'consists': Set[
                    'Axis_group_engraver',
                    'Bar_engraver',
                    'Dynamic_align_engraver',
                    'Dynamic_engraver',
                    'Font_size_engraver',
                    'Output_property_engraver',
                    'Piano_pedal_engraver',
                    'Script_engraver',
                    'Text_engraver',
                    'Text_spanner_engraver',
                    ],
                ),
            'FiguredBass': (
                'accepts': Set[],
                'aliases': Set[],
                'consists': Set[
                    'Axis_group_engraver',
                    'Figured_bass_engraver',
                    'Separating_line_group_engraver',
                    ],
                ),
            'FretBoards': (
                'accepts': Set[],
                'aliases': Set[
                    'Staff',
                    ],
                'consists': Set[
                    'Axis_group_engraver',
                    'Font_size_engraver',
                    'Fretboard_engraver',
                    'Instrument_name_engraver',
                    'Output_property_engraver',
                    'Separating_line_group_engraver',
                    ],
                ),
            'Global': (
                'accepts': Set[
                    'Score',
                    ],
                'aliases': Set[],
                'consists': Set[],
                'default_child': 'Score',
                ),
            'GrandStaff': (
                'accepts': Set[
                    'ChordNames',
                    'DrumStaff',
                    'Dynamics',
                    'FiguredBass',
                    'Lyrics',
                    'RhythmicStaff',
                    'Staff',
                    'TabStaff',
                    ],
                'aliases': Set[],
                'consists': Set[
                    'Instrument_name_engraver',
                    'Span_arpeggio_engraver',
                    'Span_bar_engraver',
                    'Span_bar_stub_engraver',
                    'System_start_delimiter_engraver',
                    'Vertical_align_engraver',
                    ],
                'default_child': 'Staff',
                ),
            'GregorianTranscriptionStaff': (
                'accepts': Set[
                    'CueVoice',
                    'GregorianTranscriptionVoice',
                    'NullVoice',
                    ],
                'aliases': Set[
                    'Staff',
                    ],
                'consists': Set[
                    'Accidental_engraver',
                    'Axis_group_engraver',
                    'Bar_engraver',
                    'Clef_engraver',
                    'Collision_engraver',
                    'Cue_clef_engraver',
                    'Dot_column_engraver',
                    'Figured_bass_engraver',
                    'Figured_bass_position_engraver',
                    'Fingering_column_engraver',
                    'Font_size_engraver',
                    'Grob_pq_engraver',
                    'Instrument_name_engraver',
                    'Key_engraver',
                    'Ledger_line_engraver',
                    'Ottava_spanner_engraver',
                    'Output_property_engraver',
                    'Piano_pedal_align_engraver',
                    'Piano_pedal_engraver',
                    'Pure_from_neighbor_engraver',
                    'Rest_collision_engraver',
                    'Script_row_engraver',
                    'Separating_line_group_engraver',
                    'Staff_collecting_engraver',
                    'Staff_symbol_engraver',
                    'Time_signature_engraver',
                    ],
                'default_child': 'GregorianTranscriptionVoice',
                ),
            'GregorianTranscriptionVoice': (
                'accepts': Set[],
                'aliases': Set[
                    'Voice',
                    ],
                'consists': Set[
                    'Arpeggio_engraver',
                    'Auto_beam_engraver',
                    'Beam_engraver',
                    'Bend_engraver',
                    'Breathing_sign_engraver',
                    'Chord_tremolo_engraver',
                    'Cluster_spanner_engraver',
                    'Dots_engraver',
                    'Double_percent_repeat_engraver',
                    'Dynamic_align_engraver',
                    'Dynamic_engraver',
                    'Episema_engraver',
                    'Fingering_engraver',
                    'Font_size_engraver',
                    'Forbid_line_break_engraver',
                    'Glissando_engraver',
                    'Grace_auto_beam_engraver',
                    'Grace_beam_engraver',
                    'Grace_engraver',
                    'Grob_pq_engraver',
                    'Instrument_switch_engraver',
                    'Laissez_vibrer_engraver',
                    'Ligature_bracket_engraver',
                    'Multi_measure_rest_engraver',
                    'New_fingering_engraver',
                    'Note_head_line_engraver',
                    'Note_heads_engraver',
                    'Note_spacing_engraver',
                    'Output_property_engraver',
                    'Part_combine_engraver',
                    'Percent_repeat_engraver',
                    'Phrasing_slur_engraver',
                    'Pitched_trill_engraver',
                    'Repeat_tie_engraver',
                    'Rest_engraver',
                    'Rhythmic_column_engraver',
                    'Script_column_engraver',
                    'Script_engraver',
                    'Slash_repeat_engraver',
                    'Slur_engraver',
                    'Spanner_break_forbid_engraver',
                    'Stem_engraver',
                    'Text_engraver',
                    'Text_spanner_engraver',
                    'Tie_engraver',
                    'Trill_spanner_engraver',
                    'Tuplet_engraver',
                    ],
                ),
            'KievanStaff': (
                'accepts': Set[
                    'CueVoice',
                    'KievanVoice',
                    'NullVoice',
                    ],
                'aliases': Set[
                    'Staff',
                    ],
                'consists': Set[
                    'Accidental_engraver',
                    'Axis_group_engraver',
                    'Bar_engraver',
                    'Clef_engraver',
                    'Collision_engraver',
                    'Cue_clef_engraver',
                    'Dot_column_engraver',
                    'Figured_bass_engraver',
                    'Figured_bass_position_engraver',
                    'Fingering_column_engraver',
                    'Font_size_engraver',
                    'Grob_pq_engraver',
                    'Instrument_name_engraver',
                    'Key_engraver',
                    'Ledger_line_engraver',
                    'Ottava_spanner_engraver',
                    'Output_property_engraver',
                    'Piano_pedal_align_engraver',
                    'Piano_pedal_engraver',
                    'Pure_from_neighbor_engraver',
                    'Rest_collision_engraver',
                    'Script_row_engraver',
                    'Separating_line_group_engraver',
                    'Staff_collecting_engraver',
                    'Staff_symbol_engraver',
                    ],
                'default_child': 'KievanVoice',
                ),
            'KievanVoice': (
                'accepts': Set[],
                'aliases': Set[
                    'Voice',
                    ],
                'consists': Set[
                    'Arpeggio_engraver',
                    'Auto_beam_engraver',
                    'Beam_engraver',
                    'Bend_engraver',
                    'Breathing_sign_engraver',
                    'Chord_tremolo_engraver',
                    'Cluster_spanner_engraver',
                    'Dots_engraver',
                    'Double_percent_repeat_engraver',
                    'Dynamic_align_engraver',
                    'Dynamic_engraver',
                    'Fingering_engraver',
                    'Font_size_engraver',
                    'Forbid_line_break_engraver',
                    'Glissando_engraver',
                    'Grace_auto_beam_engraver',
                    'Grace_beam_engraver',
                    'Grace_engraver',
                    'Grob_pq_engraver',
                    'Instrument_switch_engraver',
                    'Kievan_ligature_engraver',
                    'Laissez_vibrer_engraver',
                    'Multi_measure_rest_engraver',
                    'New_fingering_engraver',
                    'Note_head_line_engraver',
                    'Note_heads_engraver',
                    'Note_spacing_engraver',
                    'Output_property_engraver',
                    'Part_combine_engraver',
                    'Percent_repeat_engraver',
                    'Phrasing_slur_engraver',
                    'Pitched_trill_engraver',
                    'Repeat_tie_engraver',
                    'Rest_engraver',
                    'Rhythmic_column_engraver',
                    'Script_column_engraver',
                    'Script_engraver',
                    'Slash_repeat_engraver',
                    'Slur_engraver',
                    'Spanner_break_forbid_engraver',
                    'Stem_engraver',
                    'Text_engraver',
                    'Text_spanner_engraver',
                    'Tie_engraver',
                    'Trill_spanner_engraver',
                    'Tuplet_engraver',
                    ],
                ),
            'Lyrics': (
                'accepts': Set[],
                'aliases': Set[],
                'consists': Set[
                    'Axis_group_engraver',
                    'Extender_engraver',
                    'Font_size_engraver',
                    'Hyphen_engraver',
                    'Instrument_name_engraver',
                    'Lyric_engraver',
                    'Pure_from_neighbor_engraver',
                    'Stanza_number_engraver',
                    ],
                ),
            'MensuralStaff': (
                'accepts': Set[
                    'CueVoice',
                    'MensuralVoice',
                    'NullVoice',
                    ],
                'aliases': Set[
                    'Staff',
                    ],
                'consists': Set[
                    'Accidental_engraver',
                    'Axis_group_engraver',
                    'Bar_engraver',
                    'Clef_engraver',
                    'Collision_engraver',
                    'Cue_clef_engraver',
                    'Custos_engraver',
                    'Dot_column_engraver',
                    'Figured_bass_engraver',
                    'Figured_bass_position_engraver',
                    'Fingering_column_engraver',
                    'Font_size_engraver',
                    'Grob_pq_engraver',
                    'Instrument_name_engraver',
                    'Key_engraver',
                    'Ledger_line_engraver',
                    'Ottava_spanner_engraver',
                    'Output_property_engraver',
                    'Piano_pedal_align_engraver',
                    'Piano_pedal_engraver',
                    'Pure_from_neighbor_engraver',
                    'Rest_collision_engraver',
                    'Script_row_engraver',
                    'Separating_line_group_engraver',
                    'Staff_collecting_engraver',
                    'Staff_symbol_engraver',
                    'Time_signature_engraver',
                    ],
                'default_child': 'MensuralVoice',
                ),
            'MensuralVoice': (
                'accepts': Set[],
                'aliases': Set[
                    'Voice',
                    ],
                'consists': Set[
                    'Arpeggio_engraver',
                    'Auto_beam_engraver',
                    'Beam_engraver',
                    'Bend_engraver',
                    'Breathing_sign_engraver',
                    'Chord_tremolo_engraver',
                    'Cluster_spanner_engraver',
                    'Dots_engraver',
                    'Double_percent_repeat_engraver',
                    'Dynamic_align_engraver',
                    'Dynamic_engraver',
                    'Fingering_engraver',
                    'Font_size_engraver',
                    'Forbid_line_break_engraver',
                    'Glissando_engraver',
                    'Grace_auto_beam_engraver',
                    'Grace_beam_engraver',
                    'Grace_engraver',
                    'Grob_pq_engraver',
                    'Instrument_switch_engraver',
                    'Laissez_vibrer_engraver',
                    'Mensural_ligature_engraver',
                    'Multi_measure_rest_engraver',
                    'New_fingering_engraver',
                    'Note_head_line_engraver',
                    'Note_heads_engraver',
                    'Note_spacing_engraver',
                    'Output_property_engraver',
                    'Part_combine_engraver',
                    'Percent_repeat_engraver',
                    'Phrasing_slur_engraver',
                    'Pitched_trill_engraver',
                    'Repeat_tie_engraver',
                    'Rest_engraver',
                    'Rhythmic_column_engraver',
                    'Script_column_engraver',
                    'Script_engraver',
                    'Slash_repeat_engraver',
                    'Spanner_break_forbid_engraver',
                    'Stem_engraver',
                    'Text_engraver',
                    'Text_spanner_engraver',
                    'Tie_engraver',
                    'Trill_spanner_engraver',
                    'Tuplet_engraver',
                    ],
                ),
            'NoteNames': (
                'accepts': Set[],
                'aliases': Set[],
                'consists': Set[
                    'Axis_group_engraver',
                    'Note_name_engraver',
                    'Separating_line_group_engraver',
                    'Tie_engraver',
                    ],
                ),
            'NullVoice': (
                'accepts': Set[],
                'aliases': Set[
                    'Staff',
                    'Voice',
                    ],
                'consists': Set[
                    'Beam_engraver',
                    'Grob_pq_engraver',
                    'Note_heads_engraver',
                    'Pitch_squash_engraver',
                    'Slur_engraver',
                    'Tie_engraver',
                    ],
                ),
            'PetrucciStaff': (
                'accepts': Set[
                    'CueVoice',
                    'NullVoice',
                    'PetrucciVoice',
                    ],
                'aliases': Set[
                    'Staff',
                    ],
                'consists': Set[
                    'Accidental_engraver',
                    'Axis_group_engraver',
                    'Bar_engraver',
                    'Clef_engraver',
                    'Collision_engraver',
                    'Cue_clef_engraver',
                    'Custos_engraver',
                    'Dot_column_engraver',
                    'Figured_bass_engraver',
                    'Figured_bass_position_engraver',
                    'Fingering_column_engraver',
                    'Font_size_engraver',
                    'Grob_pq_engraver',
                    'Instrument_name_engraver',
                    'Key_engraver',
                    'Ledger_line_engraver',
                    'Ottava_spanner_engraver',
                    'Output_property_engraver',
                    'Piano_pedal_align_engraver',
                    'Piano_pedal_engraver',
                    'Pure_from_neighbor_engraver',
                    'Rest_collision_engraver',
                    'Script_row_engraver',
                    'Separating_line_group_engraver',
                    'Staff_collecting_engraver',
                    'Staff_symbol_engraver',
                    'Time_signature_engraver',
                    ],
                'default_child': 'PetrucciVoice',
                ),
            'PetrucciVoice': (
                'accepts': Set[],
                'aliases': Set[
                    'Voice',
                    ],
                'consists': Set[
                    'Arpeggio_engraver',
                    'Auto_beam_engraver',
                    'Beam_engraver',
                    'Bend_engraver',
                    'Breathing_sign_engraver',
                    'Chord_tremolo_engraver',
                    'Cluster_spanner_engraver',
                    'Dots_engraver',
                    'Double_percent_repeat_engraver',
                    'Dynamic_align_engraver',
                    'Dynamic_engraver',
                    'Fingering_engraver',
                    'Font_size_engraver',
                    'Forbid_line_break_engraver',
                    'Glissando_engraver',
                    'Grace_auto_beam_engraver',
                    'Grace_beam_engraver',
                    'Grace_engraver',
                    'Grob_pq_engraver',
                    'Instrument_switch_engraver',
                    'Laissez_vibrer_engraver',
                    'Mensural_ligature_engraver',
                    'Multi_measure_rest_engraver',
                    'New_fingering_engraver',
                    'Note_head_line_engraver',
                    'Note_heads_engraver',
                    'Note_spacing_engraver',
                    'Output_property_engraver',
                    'Part_combine_engraver',
                    'Percent_repeat_engraver',
                    'Phrasing_slur_engraver',
                    'Pitched_trill_engraver',
                    'Repeat_tie_engraver',
                    'Rest_engraver',
                    'Rhythmic_column_engraver',
                    'Script_column_engraver',
                    'Script_engraver',
                    'Slash_repeat_engraver',
                    'Slur_engraver',
                    'Spanner_break_forbid_engraver',
                    'Stem_engraver',
                    'Text_engraver',
                    'Text_spanner_engraver',
                    'Tie_engraver',
                    'Trill_spanner_engraver',
                    'Tuplet_engraver',
                    ],
                ),
            'PianoStaff': (
                'accepts': Set[
                    'ChordNames',
                    'DrumStaff',
                    'Dynamics',
                    'FiguredBass',
                    'Lyrics',
                    'RhythmicStaff',
                    'Staff',
                    'TabStaff',
                    ],
                'aliases': Set[
                    'GrandStaff',
                    ],
                'consists': Set[
                    'Instrument_name_engraver',
                    'Keep_alive_together_engraver',
                    'Span_arpeggio_engraver',
                    'Span_bar_engraver',
                    'Span_bar_stub_engraver',
                    'System_start_delimiter_engraver',
                    'Vertical_align_engraver',
                    'Vertical_align_engraver',
                    ],
                'default_child': 'Staff',
                ),
            'RhythmicStaff': (
                'accepts': Set[
                    'CueVoice',
                    'NullVoice',
                    'Voice',
                    ],
                'aliases': Set[
                    'Staff',
                    ],
                'consists': Set[
                    'Axis_group_engraver',
                    'Bar_engraver',
                    'Dot_column_engraver',
                    'Font_size_engraver',
                    'Instrument_name_engraver',
                    'Ledger_line_engraver',
                    'Output_property_engraver',
                    'Pitch_squash_engraver',
                    'Separating_line_group_engraver',
                    'Staff_symbol_engraver',
                    'Time_signature_engraver',
                    ],
                'default_child': 'Voice',
                ),
            'Score': (
                'accepts': Set[
                    'ChoirStaff',
                    'ChordNames',
                    'Devnull',
                    'DrumStaff',
                    'FiguredBass',
                    'FretBoards',
                    'GrandStaff',
                    'GregorianTranscriptionStaff',
                    'KievanStaff',
                    'Lyrics',
                    'MensuralStaff',
                    'NoteNames',
                    'PetrucciStaff',
                    'PianoStaff',
                    'RhythmicStaff',
                    'Staff',
                    'StaffGroup',
                    'TabStaff',
                    'VaticanaStaff',
                    ],
                'aliases': Set[
                    'Timing',
                    ],
                'consists': Set[
                    'Bar_number_engraver',
                    'Beam_collision_engraver',
                    'Break_align_engraver',
                    'Concurrent_hairpin_engraver',
                    'Default_bar_line_engraver',
                    'Footnote_engraver',
                    'Grace_spacing_engraver',
                    'Mark_engraver',
                    'Metronome_mark_engraver',
                    'Output_property_engraver',
                    'Paper_column_engraver',
                    'Parenthesis_engraver',
                    'Repeat_acknowledge_engraver',
                    'Spacing_engraver',
                    'Staff_collecting_engraver',
                    'Stanza_number_align_engraver',
                    'System_start_delimiter_engraver',
                    'Timing_translator',
                    'Tweak_engraver',
                    'Vertical_align_engraver',
                    'Volta_engraver',
                    ],
                'default_child': 'Staff',
                ),
            'Staff': (
                'accepts': Set[
                    'CueVoice',
                    'NullVoice',
                    'Voice',
                    ],
                'aliases': Set[],
                'consists': Set[
                    'Accidental_engraver',
                    'Axis_group_engraver',
                    'Bar_engraver',
                    'Clef_engraver',
                    'Collision_engraver',
                    'Cue_clef_engraver',
                    'Dot_column_engraver',
                    'Figured_bass_engraver',
                    'Figured_bass_position_engraver',
                    'Fingering_column_engraver',
                    'Font_size_engraver',
                    'Grob_pq_engraver',
                    'Instrument_name_engraver',
                    'Key_engraver',
                    'Ledger_line_engraver',
                    'Ottava_spanner_engraver',
                    'Output_property_engraver',
                    'Piano_pedal_align_engraver',
                    'Piano_pedal_engraver',
                    'Pure_from_neighbor_engraver',
                    'Rest_collision_engraver',
                    'Script_row_engraver',
                    'Separating_line_group_engraver',
                    'Staff_collecting_engraver',
                    'Staff_symbol_engraver',
                    'Time_signature_engraver',
                    ],
                'default_child': 'Voice',
                ),
            'StaffGroup': (
                'accepts': Set[
                    'ChoirStaff',
                    'ChordNames',
                    'DrumStaff',
                    'FiguredBass',
                    'FretBoards',
                    'GrandStaff',
                    'Lyrics',
                    'PianoStaff',
                    'RhythmicStaff',
                    'Staff',
                    'StaffGroup',
                    'TabStaff',
                    ],
                'aliases': Set[],
                'consists': Set[
                    'Instrument_name_engraver',
                    'Output_property_engraver',
                    'Span_arpeggio_engraver',
                    'Span_bar_engraver',
                    'Span_bar_stub_engraver',
                    'System_start_delimiter_engraver',
                    'Vertical_align_engraver',
                    ],
                'default_child': 'Staff',
                ),
            'TabStaff': (
                'accepts': Set[
                    'CueVoice',
                    'NullVoice',
                    'TabVoice',
                    ],
                'aliases': Set[
                    'Staff',
                    ],
                'consists': Set[
                    'Axis_group_engraver',
                    'Bar_engraver',
                    'Clef_engraver',
                    'Collision_engraver',
                    'Cue_clef_engraver',
                    'Dot_column_engraver',
                    'Figured_bass_engraver',
                    'Figured_bass_position_engraver',
                    'Fingering_column_engraver',
                    'Font_size_engraver',
                    'Grob_pq_engraver',
                    'Instrument_name_engraver',
                    'Ledger_line_engraver',
                    'Output_property_engraver',
                    'Piano_pedal_align_engraver',
                    'Piano_pedal_engraver',
                    'Pure_from_neighbor_engraver',
                    'Rest_collision_engraver',
                    'Script_row_engraver',
                    'Separating_line_group_engraver',
                    'Staff_collecting_engraver',
                    'Staff_symbol_engraver',
                    'Tab_staff_symbol_engraver',
                    'Time_signature_engraver',
                    ],
                'default_child': 'TabVoice',
                ),
            'TabVoice': (
                'accepts': Set[],
                'aliases': Set[
                    'Voice',
                    ],
                'consists': Set[
                    'Arpeggio_engraver',
                    'Auto_beam_engraver',
                    'Beam_engraver',
                    'Bend_engraver',
                    'Breathing_sign_engraver',
                    'Chord_tremolo_engraver',
                    'Cluster_spanner_engraver',
                    'Dots_engraver',
                    'Double_percent_repeat_engraver',
                    'Dynamic_align_engraver',
                    'Dynamic_engraver',
                    'Font_size_engraver',
                    'Forbid_line_break_engraver',
                    'Glissando_engraver',
                    'Grace_auto_beam_engraver',
                    'Grace_beam_engraver',
                    'Grace_engraver',
                    'Grob_pq_engraver',
                    'Instrument_switch_engraver',
                    'Laissez_vibrer_engraver',
                    'Ligature_bracket_engraver',
                    'Multi_measure_rest_engraver',
                    'Note_head_line_engraver',
                    'Note_spacing_engraver',
                    'Output_property_engraver',
                    'Part_combine_engraver',
                    'Percent_repeat_engraver',
                    'Phrasing_slur_engraver',
                    'Repeat_tie_engraver',
                    'Rest_engraver',
                    'Rhythmic_column_engraver',
                    'Script_column_engraver',
                    'Script_engraver',
                    'Slash_repeat_engraver',
                    'Slur_engraver',
                    'Spanner_break_forbid_engraver',
                    'Stem_engraver',
                    'Tab_note_heads_engraver',
                    'Tab_tie_follow_engraver',
                    'Text_engraver',
                    'Text_spanner_engraver',
                    'Tie_engraver',
                    'Trill_spanner_engraver',
                    'Tuplet_engraver',
                    ],
                ),
            'VaticanaStaff': (
                'accepts': Set[
                    'CueVoice',
                    'NullVoice',
                    'VaticanaVoice',
                    ],
                'aliases': Set[
                    'Staff',
                    ],
                'consists': Set[
                    'Accidental_engraver',
                    'Axis_group_engraver',
                    'Bar_engraver',
                    'Clef_engraver',
                    'Collision_engraver',
                    'Cue_clef_engraver',
                    'Custos_engraver',
                    'Dot_column_engraver',
                    'Figured_bass_engraver',
                    'Figured_bass_position_engraver',
                    'Fingering_column_engraver',
                    'Font_size_engraver',
                    'Grob_pq_engraver',
                    'Instrument_name_engraver',
                    'Key_engraver',
                    'Ledger_line_engraver',
                    'Ottava_spanner_engraver',
                    'Output_property_engraver',
                    'Piano_pedal_align_engraver',
                    'Piano_pedal_engraver',
                    'Pure_from_neighbor_engraver',
                    'Rest_collision_engraver',
                    'Script_row_engraver',
                    'Separating_line_group_engraver',
                    'Staff_collecting_engraver',
                    'Staff_symbol_engraver',
                    ],
                'default_child': 'VaticanaVoice',
                ),
            'VaticanaVoice': (
                'accepts': Set[],
                'aliases': Set[
                    'Voice',
                    ],
                'consists': Set[
                    'Arpeggio_engraver',
                    'Auto_beam_engraver',
                    'Beam_engraver',
                    'Bend_engraver',
                    'Breathing_sign_engraver',
                    'Chord_tremolo_engraver',
                    'Cluster_spanner_engraver',
                    'Dots_engraver',
                    'Double_percent_repeat_engraver',
                    'Dynamic_align_engraver',
                    'Dynamic_engraver',
                    'Episema_engraver',
                    'Fingering_engraver',
                    'Font_size_engraver',
                    'Forbid_line_break_engraver',
                    'Glissando_engraver',
                    'Grace_auto_beam_engraver',
                    'Grace_beam_engraver',
                    'Grace_engraver',
                    'Grob_pq_engraver',
                    'Instrument_switch_engraver',
                    'Laissez_vibrer_engraver',
                    'Multi_measure_rest_engraver',
                    'New_fingering_engraver',
                    'Note_head_line_engraver',
                    'Note_heads_engraver',
                    'Note_spacing_engraver',
                    'Output_property_engraver',
                    'Part_combine_engraver',
                    'Percent_repeat_engraver',
                    'Phrasing_slur_engraver',
                    'Pitched_trill_engraver',
                    'Repeat_tie_engraver',
                    'Rest_engraver',
                    'Rhythmic_column_engraver',
                    'Script_column_engraver',
                    'Script_engraver',
                    'Slash_repeat_engraver',
                    'Spanner_break_forbid_engraver',
                    'Text_engraver',
                    'Tie_engraver',
                    'Trill_spanner_engraver',
                    'Tuplet_engraver',
                    'Vaticana_ligature_engraver',
                    ],
                ),
            'Voice': (
                'accepts': Set[],
                'aliases': Set[],
                'consists': Set[
                    'Arpeggio_engraver',
                    'Auto_beam_engraver',
                    'Beam_engraver',
                    'Bend_engraver',
                    'Breathing_sign_engraver',
                    'Chord_tremolo_engraver',
                    'Cluster_spanner_engraver',
                    'Dots_engraver',
                    'Double_percent_repeat_engraver',
                    'Dynamic_align_engraver',
                    'Dynamic_engraver',
                    'Fingering_engraver',
                    'Font_size_engraver',
                    'Forbid_line_break_engraver',
                    'Glissando_engraver',
                    'Grace_auto_beam_engraver',
                    'Grace_beam_engraver',
                    'Grace_engraver',
                    'Grob_pq_engraver',
                    'Instrument_switch_engraver',
                    'Laissez_vibrer_engraver',
                    'Ligature_bracket_engraver',
                    'Multi_measure_rest_engraver',
                    'New_fingering_engraver',
                    'Note_head_line_engraver',
                    'Note_heads_engraver',
                    'Note_spacing_engraver',
                    'Output_property_engraver',
                    'Part_combine_engraver',
                    'Percent_repeat_engraver',
                    'Phrasing_slur_engraver',
                    'Pitched_trill_engraver',
                    'Repeat_tie_engraver',
                    'Rest_engraver',
                    'Rhythmic_column_engraver',
                    'Script_column_engraver',
                    'Script_engraver',
                    'Slash_repeat_engraver',
                    'Slur_engraver',
                    'Spanner_break_forbid_engraver',
                    'Stem_engraver',
                    'Text_engraver',
                    'Text_spanner_engraver',
                    'Tie_engraver',
                    'Trill_spanner_engraver',
                    'Tuplet_engraver',
                    ],
                ),
            );
    }
    ///////////////////////////////////////////////////////////////////////////////////////////////////////////
    // PUBLIC CLASS METHODS
    ///////////////////////////////////////////////////////////////////////////////////////////////////////////
    *includes { |contextName|
        ^list.includes(contextName.asSymbol);
    }
}
