/* ---------------------------------------------------------------------------------------------------------
• FoscNoteHeadList

Note-head list.
--------------------------------------------------------------------------------------------------------- */
FoscNoteHeadList : FoscTypedList {
    ///////////////////////////////////////////////////////////////////////////////////////////////////////////
    // INIT
    ///////////////////////////////////////////////////////////////////////////////////////////////////////////
    var <client;
    *new { |items, client|
        ^super.new(items, FoscNoteHead).initFoscNoteHeadList(client);
    }
    initFoscNoteHeadList { |argClient|
        client = argClient;
    }
    ///////////////////////////////////////////////////////////////////////////////////////////////////////////
    // PRIVATE INSTANCE METHODS
    ///////////////////////////////////////////////////////////////////////////////////////////////////////////
    /* --------------------------------------------------------------------------------------------------------
    • prOnInsertion
    -------------------------------------------------------------------------------------------------------- */
    prOnInsertion { |item|
        item.instVarPut('client', client);
    }
    /* --------------------------------------------------------------------------------------------------------
    • prOnRemoval
    -------------------------------------------------------------------------------------------------------- */
    prOnRemoval { |item|
        item.instVarPut('client', nil);
    }
    ///////////////////////////////////////////////////////////////////////////////////////////////////////////
    // PRIVATE INSTANCE PROPERTIES
    ///////////////////////////////////////////////////////////////////////////////////////////////////////////
    /* --------------------------------------------------------------------------------------------------------
    • prItemCoercer
    -------------------------------------------------------------------------------------------------------- */
    prItemCoercer { |token|
        if (token.isKindOf(FoscNoteHead).not) {
            token = FoscNoteHead(writtenPitch: token);
            token.instVarPut('client', client);
        };
        ^token;
    }
    ///////////////////////////////////////////////////////////////////////////////////////////////////////////
    // PUBLIC INSTANCE METHODS
    ///////////////////////////////////////////////////////////////////////////////////////////////////////////
    /* --------------------------------------------------------------------------------------------------------
    • addAll

    a = FoscNoteHeadList((60..63).collect { |p| FoscNoteHead(p) });
    a.addAll((64..67).collect { |p| FoscNoteHead(p) });
    a.items.do { |e| e.writtenPitch.ps.postln };
    -------------------------------------------------------------------------------------------------------- */
    /* --------------------------------------------------------------------------------------------------------
    • getByPitch (abjad: get)
    
    a = FoscNoteHeadList((60..63).collect { |p| FoscNoteHead(p) });
    a.getByPitch("C#4").writtenPitch.ps;
    -------------------------------------------------------------------------------------------------------- */
    getByPitch { |pitch|
        var result, count;
        result = [];
        pitch = FoscPitch(pitch);
        this.items.do { |noteHead|
            if (noteHead.writtenPitch == pitch) { result = result.add(noteHead) };
        };
        count = result.size;
        case
        { count == 0 } {
            ^throw("%:%: missing note-head.".format(this.species, thisMethod.name));
        }
        { count == 1 } {
            ^result[0];
        }
        { ^throw("%:%: extra note-head.".format(this.species, thisMethod.name)) };
    }
    /* --------------------------------------------------------------------------------------------------------
    • pop
    -------------------------------------------------------------------------------------------------------- */
    /* --------------------------------------------------------------------------------------------------------
    • remove
    -------------------------------------------------------------------------------------------------------- */
    ///////////////////////////////////////////////////////////////////////////////////////////////////////////
    // PUBLIC INSTANCE PROPERTIES
    ///////////////////////////////////////////////////////////////////////////////////////////////////////////
    /* --------------------------------------------------------------------------------------------------------
    • client
    -------------------------------------------------------------------------------------------------------- */
}
