﻿%% This file is part of Ekmelily - Notation of microtonal music with LilyPond.
%% Copyright (C) 2013-2021  Thomas Richter <thomas-richter@aon.at>
%%
%% This program is free software: you can redistribute it and/or modify
%% it under the terms of the GNU General Public License as published by
%% the Free Software Foundation, either version 3 of the License, or
%% (at your option) any later version.
%%
%% This program is distributed in the hope that it will be useful,
%% but WITHOUT ANY WARRANTY; without even the implied warranty of
%% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%% GNU General Public License at <http://www.gnu.org/licenses/>
%% for more details.
%%
%%
%% File: ekmel.ily  -  Include file for the 72-EDO tuning
%% Version: 3.7
%%
%% Note names from the semitone and quarter-tone names in LilyPond 2.22
%% Copyright (C) 2010--2020 Valentin Villenave <valentin@villenave.net> et al.
%%
%% Extended with names for
%% - enharmonically equivalent quarter-tones
%% - sixth-tones
%% - twelfth-tones
%%

\version "2.19.22"


% Tuning table
ekmTuning = #'(
  (#x12 . 1/12)
  (#x14 . 1/6)
  (#x1A . 1/4)
  (#x22 . 1/3)
  (#x24 . 5/12)
  (#x28 . 1/2)
  (#x2E . 7/12)
  (#x30 . 2/3)
  (#x36 . 3/4)
  (#x3E . 5/6)
  (#x40 . 11/12)
  (#x44 . 1)
  (#x48 . 13/12)
  (#x4A . 7/6)
  (#x50 . 5/4))


% Language tables
ekmLanguages = #'(

;; German names by Roland Meier <meier@informatik.th-darmstadt.de>,
;; Bjoern Jacke <bjoern.jacke@gmx.de>
(deutsch . (
  (c 0 . 0)
  (d 1 . 0)
  (e 2 . 0)
  (f 3 . 0)
  (g 4 . 0)
  (a 5 . 0)
  (h 6 . 0)
  (cis 0 . #x28)
  (ces 0 . #x29)
  (dis 1 . #x28)
  (des 1 . #x29)
  (eis 2 . #x28)
  (es 2 . #x29)
  (fis 3 . #x28)
  (fes 3 . #x29)
  (gis 4 . #x28)
  (ges 4 . #x29)
  (ais 5 . #x28)
  (as 5 . #x29)
  (his 6 . #x28)
  (b 6 . #x29)
  (hes 6 . #x29)
  (cih 0 . #x1A)
  (ceh 0 . #x1B)
  (dih 1 . #x1A)
  (deh 1 . #x1B)
  (eih 2 . #x1A)
  (eh 2 . #x1B)
  (eeh 2 . #x1B)
  (fih 3 . #x1A)
  (feh 3 . #x1B)
  (gih 4 . #x1A)
  (geh 4 . #x1B)
  (aih 5 . #x1A)
  (ah 5 . #x1B)
  (aeh 5 . #x1B)
  (hih 6 . #x1A)
  (heh 6 . #x1B)
  (ciseh 0 . #x21A)
  (cesih 0 . #x21B)
  (diseh 1 . #x21A)
  (desih 1 . #x21B)
  (eiseh 2 . #x21A)
  (esih 2 . #x21B)
  (fiseh 3 . #x21A)
  (fesih 3 . #x21B)
  (giseh 4 . #x21A)
  (gesih 4 . #x21B)
  (aiseh 5 . #x21A)
  (asih 5 . #x21B)
  (hiseh 6 . #x21A)
  (hesih 6 . #x21B)
  (cil 0 . #x14)
  (cel 0 . #x15)
  (dil 1 . #x14)
  (del 1 . #x15)
  (eil 2 . #x14)
  (el 2 . #x15)
  (eel 2 . #x15)
  (fil 3 . #x14)
  (fel 3 . #x15)
  (gil 4 . #x14)
  (gel 4 . #x15)
  (ail 5 . #x14)
  (al 5 . #x15)
  (ael 5 . #x15)
  (hil 6 . #x14)
  (hel 6 . #x15)
  (cisel 0 . #x22)
  (cesil 0 . #x23)
  (disel 1 . #x22)
  (desil 1 . #x23)
  (eisel 2 . #x22)
  (esil 2 . #x23)
  (fisel 3 . #x22)
  (fesil 3 . #x23)
  (gisel 4 . #x22)
  (gesil 4 . #x23)
  (aisel 5 . #x22)
  (asil 5 . #x23)
  (hisel 6 . #x22)
  (hesil 6 . #x23)
  (cir 0 . #x12)
  (cer 0 . #x13)
  (dir 1 . #x12)
  (der 1 . #x13)
  (eir 2 . #x12)
  (er 2 . #x13)
  (eer 2 . #x13)
  (fir 3 . #x12)
  (fer 3 . #x13)
  (gir 4 . #x12)
  (ger 4 . #x13)
  (air 5 . #x12)
  (ar 5 . #x13)
  (aer 5 . #x13)
  (hir 6 . #x12)
  (her 6 . #x13)
  (ciser 0 . #x24)
  (cesir 0 . #x25)
  (diser 1 . #x24)
  (desir 1 . #x25)
  (eiser 2 . #x24)
  (esir 2 . #x25)
  (fiser 3 . #x24)
  (fesir 3 . #x25)
  (giser 4 . #x24)
  (gesir 4 . #x25)
  (aiser 5 . #x24)
  (asir 5 . #x25)
  (hiser 6 . #x24)
  (hesir 6 . #x25)
  (cisih 0 . #x36)
  (ceseh 0 . #x37)
  (disih 1 . #x36)
  (deseh 1 . #x37)
  (eisih 2 . #x36)
  (eseh 2 . #x37)
  (fisih 3 . #x36)
  (feseh 3 . #x37)
  (gisih 4 . #x36)
  (geseh 4 . #x37)
  (aisih 5 . #x36)
  (asah 5 . #x37)
  (aseh 5 . #x37)
  (hisih 6 . #x36)
  (heseh 6 . #x37)
  (cisiseh 0 . #x236)
  (cesesih 0 . #x237)
  (disiseh 1 . #x236)
  (desesih 1 . #x237)
  (eisiseh 2 . #x236)
  (esesih 2 . #x237)
  (fisiseh 3 . #x236)
  (fesesih 3 . #x237)
  (gisiseh 4 . #x236)
  (gesesih 4 . #x237)
  (aisiseh 5 . #x236)
  (asasih 5 . #x237)
  (asesih 5 . #x237)
  (hisiseh 6 . #x236)
  (hesesih 6 . #x237)
  (cisil 0 . #x30)
  (cesel 0 . #x31)
  (disil 1 . #x30)
  (desel 1 . #x31)
  (eisil 2 . #x30)
  (esel 2 . #x31)
  (fisil 3 . #x30)
  (fesel 3 . #x31)
  (gisil 4 . #x30)
  (gesel 4 . #x31)
  (aisil 5 . #x30)
  (asal 5 . #x31)
  (asel 5 . #x31)
  (hisil 6 . #x30)
  (hesel 6 . #x31)
  (cisisel 0 . #x3E)
  (cesesil 0 . #x3F)
  (disisel 1 . #x3E)
  (desesil 1 . #x3F)
  (eisisel 2 . #x3E)
  (esesil 2 . #x3F)
  (fisisel 3 . #x3E)
  (fesesil 3 . #x3F)
  (gisisel 4 . #x3E)
  (gesesil 4 . #x3F)
  (aisisel 5 . #x3E)
  (asasil 5 . #x3F)
  (asesil 5 . #x3F)
  (hisisel 6 . #x3E)
  (hesesil 6 . #x3F)
  (cisir 0 . #x2E)
  (ceser 0 . #x2F)
  (disir 1 . #x2E)
  (deser 1 . #x2F)
  (eisir 2 . #x2E)
  (eser 2 . #x2F)
  (fisir 3 . #x2E)
  (feser 3 . #x2F)
  (gisir 4 . #x2E)
  (geser 4 . #x2F)
  (aisir 5 . #x2E)
  (asar 5 . #x2F)
  (aser 5 . #x2F)
  (hisir 6 . #x2E)
  (heser 6 . #x2F)
  (cisiser 0 . #x40)
  (cesesir 0 . #x41)
  (disiser 1 . #x40)
  (desesir 1 . #x41)
  (eisiser 2 . #x40)
  (esesir 2 . #x41)
  (fisiser 3 . #x40)
  (fesesir 3 . #x41)
  (gisiser 4 . #x40)
  (gesesir 4 . #x41)
  (aisiser 5 . #x40)
  (asasir 5 . #x41)
  (asesir 5 . #x41)
  (hisiser 6 . #x40)
  (hesesir 6 . #x41)
  (cisis 0 . #x44)
  (ceses 0 . #x45)
  (disis 1 . #x44)
  (deses 1 . #x45)
  (eisis 2 . #x44)
  (eses 2 . #x45)
  (fisis 3 . #x44)
  (feses 3 . #x45)
  (gisis 4 . #x44)
  (geses 4 . #x45)
  (aisis 5 . #x44)
  (asas 5 . #x45)
  (ases 5 . #x45)
  (hisis 6 . #x44)
  (heses 6 . #x45)
  (cisisih 0 . #x50)
  (ceseseh 0 . #x51)
  (disisih 1 . #x50)
  (deseseh 1 . #x51)
  (eisisih 2 . #x50)
  (eseseh 2 . #x51)
  (fisisih 3 . #x50)
  (feseseh 3 . #x51)
  (gisisih 4 . #x50)
  (geseseh 4 . #x51)
  (aisisih 5 . #x50)
  (asasah 5 . #x51)
  (aseseh 5 . #x51)
  (hisisih 6 . #x50)
  (heseseh 6 . #x51)
  (cisisil 0 . #x4A)
  (cesesel 0 . #x4B)
  (disisil 1 . #x4A)
  (desesel 1 . #x4B)
  (eisisil 2 . #x4A)
  (esesel 2 . #x4B)
  (fisisil 3 . #x4A)
  (fesesel 3 . #x4B)
  (gisisil 4 . #x4A)
  (gesesel 4 . #x4B)
  (aisisil 5 . #x4A)
  (asasal 5 . #x4B)
  (asesel 5 . #x4B)
  (hisisil 6 . #x4A)
  (hesesel 6 . #x4B)
  (cisisir 0 . #x48)
  (ceseser 0 . #x49)
  (disisir 1 . #x48)
  (deseser 1 . #x49)
  (eisisir 2 . #x48)
  (eseser 2 . #x49)
  (fisisir 3 . #x48)
  (feseser 3 . #x49)
  (gisisir 4 . #x48)
  (geseser 4 . #x49)
  (aisisir 5 . #x48)
  (asasar 5 . #x49)
  (aseser 5 . #x49)
  (hisisir 6 . #x48)
  (heseser 6 . #x49)))

;; English names by Han-Wen Nienhuys <hanwen@xs4all.nl>
(english . (
  (c 0 . 0)
  (d 1 . 0)
  (e 2 . 0)
  (f 3 . 0)
  (g 4 . 0)
  (a 5 . 0)
  (b 6 . 0)
  (cs 0 . #x28)
  (cf 0 . #x29)
  (ds 1 . #x28)
  (df 1 . #x29)
  (es 2 . #x28)
  (ef 2 . #x29)
  (fs 3 . #x28)
  (ff 3 . #x29)
  (gs 4 . #x28)
  (gf 4 . #x29)
  (as 5 . #x28)
  (af 5 . #x29)
  (bs 6 . #x28)
  (bf 6 . #x29)
  (cqs 0 . #x1A)
  (cqf 0 . #x1B)
  (dqs 1 . #x1A)
  (dqf 1 . #x1B)
  (eqs 2 . #x1A)
  (eqf 2 . #x1B)
  (fqs 3 . #x1A)
  (fqf 3 . #x1B)
  (gqs 4 . #x1A)
  (gqf 4 . #x1B)
  (aqs 5 . #x1A)
  (aqf 5 . #x1B)
  (bqs 6 . #x1A)
  (bqf 6 . #x1B)
  (csaqf 0 . #x21A)
  (cfaqs 0 . #x21B)
  (dsaqf 1 . #x21A)
  (dfaqs 1 . #x21B)
  (esaqf 2 . #x21A)
  (efaqs 2 . #x21B)
  (fsaqf 3 . #x21A)
  (ffaqs 3 . #x21B)
  (gsaqf 4 . #x21A)
  (gfaqs 4 . #x21B)
  (asaqf 5 . #x21A)
  (afaqs 5 . #x21B)
  (bsaqf 6 . #x21A)
  (bfaqs 6 . #x21B)
  (cxs 0 . #x14)
  (cxf 0 . #x15)
  (dxs 1 . #x14)
  (dxf 1 . #x15)
  (exs 2 . #x14)
  (exf 2 . #x15)
  (fxs 3 . #x14)
  (fxf 3 . #x15)
  (gxs 4 . #x14)
  (gxf 4 . #x15)
  (axs 5 . #x14)
  (axf 5 . #x15)
  (bxs 6 . #x14)
  (bxf 6 . #x15)
  (crs 0 . #x22)
  (crf 0 . #x23)
  (drs 1 . #x22)
  (drf 1 . #x23)
  (ers 2 . #x22)
  (erf 2 . #x23)
  (frs 3 . #x22)
  (frf 3 . #x23)
  (grs 4 . #x22)
  (grf 4 . #x23)
  (ars 5 . #x22)
  (arf 5 . #x23)
  (brs 6 . #x22)
  (brf 6 . #x23)
  (cts 0 . #x12)
  (ctf 0 . #x13)
  (dts 1 . #x12)
  (dtf 1 . #x13)
  (ets 2 . #x12)
  (etf 2 . #x13)
  (fts 3 . #x12)
  (ftf 3 . #x13)
  (gts 4 . #x12)
  (gtf 4 . #x13)
  (ats 5 . #x12)
  (atf 5 . #x13)
  (bts 6 . #x12)
  (btf 6 . #x13)
  (cfts 0 . #x24)
  (cftf 0 . #x25)
  (dfts 1 . #x24)
  (dftf 1 . #x25)
  (efts 2 . #x24)
  (eftf 2 . #x25)
  (ffts 3 . #x24)
  (fftf 3 . #x25)
  (gfts 4 . #x24)
  (gftf 4 . #x25)
  (afts 5 . #x24)
  (aftf 5 . #x25)
  (bfts 6 . #x24)
  (bftf 6 . #x25)
  (ctqs 0 . #x36)
  (ctqf 0 . #x37)
  (dtqs 1 . #x36)
  (dtqf 1 . #x37)
  (etqs 2 . #x36)
  (etqf 2 . #x37)
  (ftqs 3 . #x36)
  (ftqf 3 . #x37)
  (gtqs 4 . #x36)
  (gtqf 4 . #x37)
  (atqs 5 . #x36)
  (atqf 5 . #x37)
  (btqs 6 . #x36)
  (btqf 6 . #x37)
  (cssaqf 0 . #x236)
  (cffaqs 0 . #x237)
  (dssaqf 1 . #x236)
  (dffaqs 1 . #x237)
  (essaqf 2 . #x236)
  (effaqs 2 . #x237)
  (fssaqf 3 . #x236)
  (fffaqs 3 . #x237)
  (gssaqf 4 . #x236)
  (gffaqs 4 . #x237)
  (assaqf 5 . #x236)
  (affaqs 5 . #x237)
  (bssaqf 6 . #x236)
  (bffaqs 6 . #x237)
  (ctrs 0 . #x30)
  (ctrf 0 . #x31)
  (dtrs 1 . #x30)
  (dtrf 1 . #x31)
  (etrs 2 . #x30)
  (etrf 2 . #x31)
  (ftrs 3 . #x30)
  (ftrf 3 . #x31)
  (gtrs 4 . #x30)
  (gtrf 4 . #x31)
  (atrs 5 . #x30)
  (atrf 5 . #x31)
  (btrs 6 . #x30)
  (btrf 6 . #x31)
  (cfxs 0 . #x3E)
  (cfxf 0 . #x3F)
  (dfxs 1 . #x3E)
  (dfxf 1 . #x3F)
  (efxs 2 . #x3E)
  (efxf 2 . #x3F)
  (ffxs 3 . #x3E)
  (ffxf 3 . #x3F)
  (gfxs 4 . #x3E)
  (gfxf 4 . #x3F)
  (afxs 5 . #x3E)
  (afxf 5 . #x3F)
  (bfxs 6 . #x3E)
  (bfxf 6 . #x3F)
  (csts 0 . #x2E)
  (cstf 0 . #x2F)
  (dsts 1 . #x2E)
  (dstf 1 . #x2F)
  (ests 2 . #x2E)
  (estf 2 . #x2F)
  (fsts 3 . #x2E)
  (fstf 3 . #x2F)
  (gsts 4 . #x2E)
  (gstf 4 . #x2F)
  (asts 5 . #x2E)
  (astf 5 . #x2F)
  (bsts 6 . #x2E)
  (bstf 6 . #x2F)
  (cets 0 . #x40)
  (cetf 0 . #x41)
  (dets 1 . #x40)
  (detf 1 . #x41)
  (eets 2 . #x40)
  (eetf 2 . #x41)
  (fets 3 . #x40)
  (fetf 3 . #x41)
  (gets 4 . #x40)
  (getf 4 . #x41)
  (aets 5 . #x40)
  (aetf 5 . #x41)
  (bets 6 . #x40)
  (betf 6 . #x41)
  (css 0 . #x44)
  (cx 0 . #x44)
  (cff 0 . #x45)
  (dss 1 . #x44)
  (dx 1 . #x44)
  (dff 1 . #x45)
  (ess 2 . #x44)
  (ex 2 . #x44)
  (eff 2 . #x45)
  (fss 3 . #x44)
  (fx 3 . #x44)
  (fff 3 . #x45)
  (gss 4 . #x44)
  (gx 4 . #x44)
  (gff 4 . #x45)
  (ass 5 . #x44)
  (ax 5 . #x44)
  (aff 5 . #x45)
  (bss 6 . #x44)
  (bx 6 . #x44)
  (bff 6 . #x45)
  (cfqs 0 . #x50)
  (cfqf 0 . #x51)
  (dfqs 1 . #x50)
  (dfqf 1 . #x51)
  (efqs 2 . #x50)
  (efqf 2 . #x51)
  (ffqs 3 . #x50)
  (ffqf 3 . #x51)
  (gfqs 4 . #x50)
  (gfqf 4 . #x51)
  (afqs 5 . #x50)
  (afqf 5 . #x51)
  (bfqs 6 . #x50)
  (bfqf 6 . #x51)
  (csxs 0 . #x4A)
  (csxf 0 . #x4B)
  (dsxs 1 . #x4A)
  (dsxf 1 . #x4B)
  (esxs 2 . #x4A)
  (esxf 2 . #x4B)
  (fsxs 3 . #x4A)
  (fsxf 3 . #x4B)
  (gsxs 4 . #x4A)
  (gsxf 4 . #x4B)
  (asxs 5 . #x4A)
  (asxf 5 . #x4B)
  (bsxs 6 . #x4A)
  (bsxf 6 . #x4B)
  (ctts 0 . #x48)
  (cttf 0 . #x49)
  (dtts 1 . #x48)
  (dttf 1 . #x49)
  (etts 2 . #x48)
  (ettf 2 . #x49)
  (ftts 3 . #x48)
  (fttf 3 . #x49)
  (gtts 4 . #x48)
  (gttf 4 . #x49)
  (atts 5 . #x48)
  (attf 5 . #x49)
  (btts 6 . #x48)
  (bttf 6 . #x49)))

;; Dutch names by Han-Wen Nienhuys <hanwen@xs4all.nl>
(nederlands . (
  (c 0 . 0)
  (d 1 . 0)
  (e 2 . 0)
  (f 3 . 0)
  (g 4 . 0)
  (a 5 . 0)
  (b 6 . 0)
  (cis 0 . #x28)
  (ces 0 . #x29)
  (dis 1 . #x28)
  (des 1 . #x29)
  (eis 2 . #x28)
  (ees 2 . #x29)
  (es 2 . #x29)
  (fis 3 . #x28)
  (fes 3 . #x29)
  (gis 4 . #x28)
  (ges 4 . #x29)
  (ais 5 . #x28)
  (aes 5 . #x29)
  (as 5 . #x29)
  (bis 6 . #x28)
  (bes 6 . #x29)
  (cih 0 . #x1A)
  (ceh 0 . #x1B)
  (dih 1 . #x1A)
  (deh 1 . #x1B)
  (eih 2 . #x1A)
  (eeh 2 . #x1B)
  (fih 3 . #x1A)
  (feh 3 . #x1B)
  (gih 4 . #x1A)
  (geh 4 . #x1B)
  (aih 5 . #x1A)
  (aeh 5 . #x1B)
  (bih 6 . #x1A)
  (beh 6 . #x1B)
  (ciseh 0 . #x21A)
  (cesih 0 . #x21B)
  (diseh 1 . #x21A)
  (desih 1 . #x21B)
  (eiseh 2 . #x21A)
  (eesih 2 . #x21B)
  (esih 2 . #x21B)
  (fiseh 3 . #x21A)
  (fesih 3 . #x21B)
  (giseh 4 . #x21A)
  (gesih 4 . #x21B)
  (aiseh 5 . #x21A)
  (aesih 5 . #x21B)
  (asih 5 . #x21B)
  (biseh 6 . #x21A)
  (besih 6 . #x21B)
  (cil 0 . #x14)
  (cel 0 . #x15)
  (dil 1 . #x14)
  (del 1 . #x15)
  (eil 2 . #x14)
  (eel 2 . #x15)
  (fil 3 . #x14)
  (fel 3 . #x15)
  (gil 4 . #x14)
  (gel 4 . #x15)
  (ail 5 . #x14)
  (ael 5 . #x15)
  (bil 6 . #x14)
  (bel 6 . #x15)
  (cisel 0 . #x22)
  (cesil 0 . #x23)
  (disel 1 . #x22)
  (desil 1 . #x23)
  (eisel 2 . #x22)
  (eesil 2 . #x23)
  (esil 2 . #x23)
  (fisel 3 . #x22)
  (fesil 3 . #x23)
  (gisel 4 . #x22)
  (gesil 4 . #x23)
  (aisel 5 . #x22)
  (aesil 5 . #x23)
  (asil 5 . #x23)
  (bisel 6 . #x22)
  (besil 6 . #x23)
  (cir 0 . #x12)
  (cer 0 . #x13)
  (dir 1 . #x12)
  (der 1 . #x13)
  (eir 2 . #x12)
  (eer 2 . #x13)
  (fir 3 . #x12)
  (fer 3 . #x13)
  (gir 4 . #x12)
  (ger 4 . #x13)
  (air 5 . #x12)
  (aer 5 . #x13)
  (bir 6 . #x12)
  (ber 6 . #x13)
  (ciser 0 . #x24)
  (cesir 0 . #x25)
  (diser 1 . #x24)
  (desir 1 . #x25)
  (eiser 2 . #x24)
  (eesir 2 . #x25)
  (esir 2 . #x25)
  (fiser 3 . #x24)
  (fesir 3 . #x25)
  (giser 4 . #x24)
  (gesir 4 . #x25)
  (aiser 5 . #x24)
  (aesir 5 . #x25)
  (asir 5 . #x25)
  (biser 6 . #x24)
  (besir 6 . #x25)
  (cisih 0 . #x36)
  (ceseh 0 . #x37)
  (disih 1 . #x36)
  (deseh 1 . #x37)
  (eisih 2 . #x36)
  (eeseh 2 . #x37)
  (eseh 2 . #x37)
  (fisih 3 . #x36)
  (feseh 3 . #x37)
  (gisih 4 . #x36)
  (geseh 4 . #x37)
  (aisih 5 . #x36)
  (aeseh 5 . #x37)
  (aseh 5 . #x37)
  (bisih 6 . #x36)
  (beseh 6 . #x37)
  (cisiseh 0 . #x236)
  (cesesih 0 . #x237)
  (disiseh 1 . #x236)
  (desesih 1 . #x237)
  (eisiseh 2 . #x236)
  (eesesih 2 . #x237)
  (esesih 2 . #x237)
  (fisiseh 3 . #x236)
  (fesesih 3 . #x237)
  (gisiseh 4 . #x236)
  (gesesih 4 . #x237)
  (aisiseh 5 . #x236)
  (aesesih 5 . #x237)
  (asesih 5 . #x237)
  (bisiseh 6 . #x236)
  (besesih 6 . #x237)
  (cisil 0 . #x30)
  (cesel 0 . #x31)
  (disil 1 . #x30)
  (desel 1 . #x31)
  (eisil 2 . #x30)
  (eesel 2 . #x31)
  (esel 2 . #x31)
  (fisil 3 . #x30)
  (fesel 3 . #x31)
  (gisil 4 . #x30)
  (gesel 4 . #x31)
  (aisil 5 . #x30)
  (aesel 5 . #x31)
  (asel 5 . #x31)
  (bisil 6 . #x30)
  (besel 6 . #x31)
  (cisisel 0 . #x3E)
  (cesesil 0 . #x3F)
  (disisel 1 . #x3E)
  (desesil 1 . #x3F)
  (eisisel 2 . #x3E)
  (eesesil 2 . #x3F)
  (esesil 2 . #x3F)
  (fisisel 3 . #x3E)
  (fesesil 3 . #x3F)
  (gisisel 4 . #x3E)
  (gesesil 4 . #x3F)
  (aisisel 5 . #x3E)
  (aesesil 5 . #x3F)
  (asesil 5 . #x3F)
  (bisisel 6 . #x3E)
  (besesil 6 . #x3F)
  (cisir 0 . #x2E)
  (ceser 0 . #x2F)
  (disir 1 . #x2E)
  (deser 1 . #x2F)
  (eisir 2 . #x2E)
  (eeser 2 . #x2F)
  (eser 2 . #x2F)
  (fisir 3 . #x2E)
  (feser 3 . #x2F)
  (gisir 4 . #x2E)
  (geser 4 . #x2F)
  (aisir 5 . #x2E)
  (aeser 5 . #x2F)
  (aser 5 . #x2F)
  (bisir 6 . #x2E)
  (beser 6 . #x2F)
  (cisiser 0 . #x40)
  (cesesir 0 . #x41)
  (disiser 1 . #x40)
  (desesir 1 . #x41)
  (eisiser 2 . #x40)
  (eesesir 2 . #x41)
  (esesir 2 . #x41)
  (fisiser 3 . #x40)
  (fesesir 3 . #x41)
  (gisiser 4 . #x40)
  (gesesir 4 . #x41)
  (aisiser 5 . #x40)
  (aesesir 5 . #x41)
  (asesir 5 . #x41)
  (bisiser 6 . #x40)
  (besesir 6 . #x41)
  (cisis 0 . #x44)
  (ceses 0 . #x45)
  (disis 1 . #x44)
  (deses 1 . #x45)
  (eisis 2 . #x44)
  (eeses 2 . #x45)
  (eses 2 . #x45)
  (fisis 3 . #x44)
  (feses 3 . #x45)
  (gisis 4 . #x44)
  (geses 4 . #x45)
  (aisis 5 . #x44)
  (aeses 5 . #x45)
  (ases 5 . #x45)
  (bisis 6 . #x44)
  (beses 6 . #x45)
  (cisisih 0 . #x50)
  (ceseseh 0 . #x51)
  (disisih 1 . #x50)
  (deseseh 1 . #x51)
  (eisisih 2 . #x50)
  (eeseseh 2 . #x51)
  (eseseh 2 . #x51)
  (fisisih 3 . #x50)
  (feseseh 3 . #x51)
  (gisisih 4 . #x50)
  (geseseh 4 . #x51)
  (aisisih 5 . #x50)
  (aeseseh 5 . #x51)
  (aseseh 5 . #x51)
  (bisisih 6 . #x50)
  (beseseh 6 . #x51)
  (cisisil 0 . #x4A)
  (cesesel 0 . #x4B)
  (disisil 1 . #x4A)
  (desesel 1 . #x4B)
  (eisisil 2 . #x4A)
  (eesesel 2 . #x4B)
  (esesel 2 . #x4B)
  (fisisil 3 . #x4A)
  (fesesel 3 . #x4B)
  (gisisil 4 . #x4A)
  (gesesel 4 . #x4B)
  (aisisil 5 . #x4A)
  (aesesel 5 . #x4B)
  (asesel 5 . #x4B)
  (bisisil 6 . #x4A)
  (besesel 6 . #x4B)
  (cisisir 0 . #x48)
  (ceseser 0 . #x49)
  (disisir 1 . #x48)
  (deseser 1 . #x49)
  (eisisir 2 . #x48)
  (eeseser 2 . #x49)
  (eseser 2 . #x49)
  (fisisir 3 . #x48)
  (feseser 3 . #x49)
  (gisisir 4 . #x48)
  (geseser 4 . #x49)
  (aisisir 5 . #x48)
  (aeseser 5 . #x49)
  (aseser 5 . #x49)
  (bisisir 6 . #x48)
  (beseser 6 . #x49)))

;; Norwegian names by Arvid Grøtting <arvidg@ifi.uio.no>,
;; Torsten Hämmerle <torsten.haemmerle@web.de>  quarter-tones added
(norsk . (
  (c 0 . 0)
  (d 1 . 0)
  (e 2 . 0)
  (f 3 . 0)
  (g 4 . 0)
  (a 5 . 0)
  (h 6 . 0)
  (cis 0 . #x28)
  (ciss 0 . #x28)
  (ces 0 . #x29)
  (cess 0 . #x29)
  (dis 1 . #x28)
  (diss 1 . #x28)
  (des 1 . #x29)
  (dess 1 . #x29)
  (eis 2 . #x28)
  (eiss 2 . #x28)
  (ees 2 . #x29)
  (eess 2 . #x29)
  (es 2 . #x29)
  (ess 2 . #x29)
  (fis 3 . #x28)
  (fiss 3 . #x28)
  (fes 3 . #x29)
  (fess 3 . #x29)
  (gis 4 . #x28)
  (giss 4 . #x28)
  (ges 4 . #x29)
  (gess 4 . #x29)
  (ais 5 . #x28)
  (aiss 5 . #x28)
  (aes 5 . #x29)
  (aess 5 . #x29)
  (as 5 . #x29)
  (ass 5 . #x29)
  (his 6 . #x28)
  (hiss 6 . #x28)
  (b 6 . #x29)
  (cih 0 . #x1A)
  (ceh 0 . #x1B)
  (dih 1 . #x1A)
  (deh 1 . #x1B)
  (eih 2 . #x1A)
  (eeh 2 . #x1B)
  (eh 2 . #x1B)
  (fih 3 . #x1A)
  (feh 3 . #x1B)
  (gih 4 . #x1A)
  (geh 4 . #x1B)
  (aih 5 . #x1A)
  (aeh 5 . #x1B)
  (hih 6 . #x1A)
  (heh 6 . #x1B)
  (ciseh 0 . #x21A)
  (cisseh 0 . #x21A)
  (cesih 0 . #x21B)
  (cessih 0 . #x21B)
  (diseh 1 . #x21A)
  (disseh 1 . #x21A)
  (desih 1 . #x21B)
  (dessih 1 . #x21B)
  (eiseh 2 . #x21A)
  (eisseh 2 . #x21A)
  (eesih 2 . #x21B)
  (eessih 2 . #x21B)
  (esih 2 . #x21B)
  (essih 2 . #x21B)
  (fiseh 3 . #x21A)
  (fisseh 3 . #x21A)
  (fesih 3 . #x21B)
  (fessih 3 . #x21B)
  (giseh 4 . #x21A)
  (gisseh 4 . #x21A)
  (gesih 4 . #x21B)
  (gessih 4 . #x21B)
  (aiseh 5 . #x21A)
  (aisseh 5 . #x21A)
  (aesih 5 . #x21B)
  (aessih 5 . #x21B)
  (asih 5 . #x21B)
  (assih 5 . #x21B)
  (hiseh 6 . #x21A)
  (hisseh 6 . #x21A)
  (bih 6 . #x21B)
  (cil 0 . #x14)
  (cel 0 . #x15)
  (dil 1 . #x14)
  (del 1 . #x15)
  (eil 2 . #x14)
  (eel 2 . #x15)
  (el 2 . #x15)
  (fil 3 . #x14)
  (fel 3 . #x15)
  (gil 4 . #x14)
  (gel 4 . #x15)
  (ail 5 . #x14)
  (ael 5 . #x15)
  (hil 6 . #x14)
  (hel 6 . #x15)
  (cisel 0 . #x22)
  (cissel 0 . #x22)
  (cesil 0 . #x23)
  (cessil 0 . #x23)
  (disel 1 . #x22)
  (dissel 1 . #x22)
  (desil 1 . #x23)
  (dessil 1 . #x23)
  (eisel 2 . #x22)
  (eissel 2 . #x22)
  (eesil 2 . #x23)
  (eessil 2 . #x23)
  (esil 2 . #x23)
  (essil 2 . #x23)
  (fisel 3 . #x22)
  (fissel 3 . #x22)
  (fesil 3 . #x23)
  (fessil 3 . #x23)
  (gisel 4 . #x22)
  (gissel 4 . #x22)
  (gesil 4 . #x23)
  (gessil 4 . #x23)
  (aisel 5 . #x22)
  (aissel 5 . #x22)
  (aesil 5 . #x23)
  (aessil 5 . #x23)
  (asil 5 . #x23)
  (assil 5 . #x23)
  (hisel 6 . #x22)
  (hissel 6 . #x22)
  (bil 6 . #x23)
  (cir 0 . #x12)
  (cer 0 . #x13)
  (dir 1 . #x12)
  (der 1 . #x13)
  (eir 2 . #x12)
  (eer 2 . #x13)
  (er 2 . #x13)
  (fir 3 . #x12)
  (fer 3 . #x13)
  (gir 4 . #x12)
  (ger 4 . #x13)
  (air 5 . #x12)
  (aer 5 . #x13)
  (hir 6 . #x12)
  (her 6 . #x13)
  (ciser 0 . #x24)
  (cisser 0 . #x24)
  (cesir 0 . #x25)
  (cessir 0 . #x25)
  (diser 1 . #x24)
  (disser 1 . #x24)
  (desir 1 . #x25)
  (dessir 1 . #x25)
  (eiser 2 . #x24)
  (eisser 2 . #x24)
  (eesir 2 . #x25)
  (eessir 2 . #x25)
  (esir 2 . #x25)
  (essir 2 . #x25)
  (fiser 3 . #x24)
  (fisser 3 . #x24)
  (fesir 3 . #x25)
  (fessir 3 . #x25)
  (giser 4 . #x24)
  (gisser 4 . #x24)
  (gesir 4 . #x25)
  (gessir 4 . #x25)
  (aiser 5 . #x24)
  (aisser 5 . #x24)
  (aesir 5 . #x25)
  (aessir 5 . #x25)
  (asir 5 . #x25)
  (assir 5 . #x25)
  (hiser 6 . #x24)
  (hisser 6 . #x24)
  (bir 6 . #x25)
  (cisih 0 . #x36)
  (cissih 0 . #x36)
  (ceseh 0 . #x37)
  (cesseh 0 . #x37)
  (disih 1 . #x36)
  (dissih 1 . #x36)
  (deseh 1 . #x37)
  (desseh 1 . #x37)
  (eisih 2 . #x36)
  (eissih 2 . #x36)
  (eeseh 2 . #x37)
  (eesseh 2 . #x37)
  (eseh 2 . #x37)
  (esseh 2 . #x37)
  (fisih 3 . #x36)
  (fissih 3 . #x36)
  (feseh 3 . #x37)
  (fesseh 3 . #x37)
  (gisih 4 . #x36)
  (gissih 4 . #x36)
  (geseh 4 . #x37)
  (gesseh 4 . #x37)
  (aisih 5 . #x36)
  (aissih 5 . #x36)
  (aeseh 5 . #x37)
  (aesseh 5 . #x37)
  (aseh 5 . #x37)
  (asseh 5 . #x37)
  (hisih 6 . #x36)
  (hissih 6 . #x36)
  (beh 6 . #x37)
  (cisiseh 0 . #x236)
  (cississeh 0 . #x236)
  (cesesih 0 . #x237)
  (cessessih 0 . #x237)
  (disiseh 1 . #x236)
  (dississeh 1 . #x236)
  (desesih 1 . #x237)
  (dessessih 1 . #x237)
  (eisiseh 2 . #x236)
  (eississeh 2 . #x236)
  (eesesih 2 . #x237)
  (eessessih 2 . #x237)
  (esesih 2 . #x237)
  (essessih 2 . #x237)
  (fisiseh 3 . #x236)
  (fississeh 3 . #x236)
  (fesesih 3 . #x237)
  (fessessih 3 . #x237)
  (gisiseh 4 . #x236)
  (gississeh 4 . #x236)
  (gesesih 4 . #x237)
  (gessessih 4 . #x237)
  (aisiseh 5 . #x236)
  (aississeh 5 . #x236)
  (aesesih 5 . #x237)
  (aessessih 5 . #x237)
  (asesih 5 . #x237)
  (assessih 5 . #x237)
  (hisiseh 6 . #x236)
  (hississeh 6 . #x236)
  (besih 6 . #x237)
  (bessih 6 . #x237)
  (cisil 0 . #x30)
  (cissil 0 . #x30)
  (cesel 0 . #x31)
  (cessel 0 . #x31)
  (disil 1 . #x30)
  (dissil 1 . #x30)
  (desel 1 . #x31)
  (dessel 1 . #x31)
  (eisil 2 . #x30)
  (eissil 2 . #x30)
  (eesel 2 . #x31)
  (eessel 2 . #x31)
  (esel 2 . #x31)
  (essel 2 . #x31)
  (fisil 3 . #x30)
  (fissil 3 . #x30)
  (fesel 3 . #x31)
  (fessel 3 . #x31)
  (gisil 4 . #x30)
  (gissil 4 . #x30)
  (gesel 4 . #x31)
  (gessel 4 . #x31)
  (aisil 5 . #x30)
  (aissil 5 . #x30)
  (aesel 5 . #x31)
  (aessel 5 . #x31)
  (asel 5 . #x31)
  (assel 5 . #x31)
  (hisil 6 . #x30)
  (hissil 6 . #x30)
  (bel 6 . #x31)
  (cisisel 0 . #x3E)
  (cississel 0 . #x3E)
  (cesesil 0 . #x3F)
  (cessessil 0 . #x3F)
  (disisel 1 . #x3E)
  (dississel 1 . #x3E)
  (desesil 1 . #x3F)
  (dessessil 1 . #x3F)
  (eisisel 2 . #x3E)
  (eississel 2 . #x3E)
  (eesesil 2 . #x3F)
  (eessessil 2 . #x3F)
  (esesil 2 . #x3F)
  (essessil 2 . #x3F)
  (fisisel 3 . #x3E)
  (fississel 3 . #x3E)
  (fesesil 3 . #x3F)
  (fessessil 3 . #x3F)
  (gisisel 4 . #x3E)
  (gississel 4 . #x3E)
  (gesesil 4 . #x3F)
  (gessessil 4 . #x3F)
  (aisisel 5 . #x3E)
  (aississel 5 . #x3E)
  (aesesil 5 . #x3F)
  (aessessil 5 . #x3F)
  (asesil 5 . #x3F)
  (assessil 5 . #x3F)
  (hisisel 6 . #x3E)
  (hississel 6 . #x3E)
  (besil 6 . #x3F)
  (bessil 6 . #x3F)
  (cisir 0 . #x2E)
  (cissir 0 . #x2E)
  (ceser 0 . #x2F)
  (cesser 0 . #x2F)
  (disir 1 . #x2E)
  (dissir 1 . #x2E)
  (deser 1 . #x2F)
  (desser 1 . #x2F)
  (eisir 2 . #x2E)
  (eissir 2 . #x2E)
  (eeser 2 . #x2F)
  (eesser 2 . #x2F)
  (eser 2 . #x2F)
  (esser 2 . #x2F)
  (fisir 3 . #x2E)
  (fissir 3 . #x2E)
  (feser 3 . #x2F)
  (fesser 3 . #x2F)
  (gisir 4 . #x2E)
  (gissir 4 . #x2E)
  (geser 4 . #x2F)
  (gesser 4 . #x2F)
  (aisir 5 . #x2E)
  (aissir 5 . #x2E)
  (aeser 5 . #x2F)
  (aesser 5 . #x2F)
  (aser 5 . #x2F)
  (asser 5 . #x2F)
  (hisir 6 . #x2E)
  (hissir 6 . #x2E)
  (ber 6 . #x2F)
  (cisiser 0 . #x40)
  (cississer 0 . #x40)
  (cesesir 0 . #x41)
  (cessessir 0 . #x41)
  (disiser 1 . #x40)
  (dississer 1 . #x40)
  (desesir 1 . #x41)
  (dessessir 1 . #x41)
  (eisiser 2 . #x40)
  (eississer 2 . #x40)
  (eesesir 2 . #x41)
  (eessessir 2 . #x41)
  (esesir 2 . #x41)
  (essessir 2 . #x41)
  (fisiser 3 . #x40)
  (fississer 3 . #x40)
  (fesesir 3 . #x41)
  (fessessir 3 . #x41)
  (gisiser 4 . #x40)
  (gississer 4 . #x40)
  (gesesir 4 . #x41)
  (gessessir 4 . #x41)
  (aisiser 5 . #x40)
  (aississer 5 . #x40)
  (aesesir 5 . #x41)
  (aessessir 5 . #x41)
  (asesir 5 . #x41)
  (assessir 5 . #x41)
  (hisiser 6 . #x40)
  (hississer 6 . #x40)
  (besir 6 . #x41)
  (bessir 6 . #x41)
  (cisis 0 . #x44)
  (cississ 0 . #x44)
  (ceses 0 . #x45)
  (cessess 0 . #x45)
  (disis 1 . #x44)
  (dississ 1 . #x44)
  (deses 1 . #x45)
  (dessess 1 . #x45)
  (eisis 2 . #x44)
  (eississ 2 . #x44)
  (eeses 2 . #x45)
  (eessess 2 . #x45)
  (eses 2 . #x45)
  (essess 2 . #x45)
  (fisis 3 . #x44)
  (fississ 3 . #x44)
  (feses 3 . #x45)
  (fessess 3 . #x45)
  (gisis 4 . #x44)
  (gississ 4 . #x44)
  (geses 4 . #x45)
  (gessess 4 . #x45)
  (aisis 5 . #x44)
  (aississ 5 . #x44)
  (aeses 5 . #x45)
  (aessess 5 . #x45)
  (ases 5 . #x45)
  (assess 5 . #x45)
  (hisis 6 . #x44)
  (hississ 6 . #x44)
  (bes 6 . #x45)
  (bess 6 . #x45)
  (cisisih 0 . #x50)
  (cississih 0 . #x50)
  (ceseseh 0 . #x51)
  (cessesseh 0 . #x51)
  (disisih 1 . #x50)
  (dississih 1 . #x50)
  (deseseh 1 . #x51)
  (dessesseh 1 . #x51)
  (eisisih 2 . #x50)
  (eississih 2 . #x50)
  (eeseseh 2 . #x51)
  (eessesseh 2 . #x51)
  (eseseh 2 . #x51)
  (essesseh 2 . #x51)
  (fisisih 3 . #x50)
  (fississih 3 . #x50)
  (feseseh 3 . #x51)
  (fessesseh 3 . #x51)
  (gisisih 4 . #x50)
  (gississih 4 . #x50)
  (geseseh 4 . #x51)
  (gessesseh 4 . #x51)
  (aisisih 5 . #x50)
  (aississih 5 . #x50)
  (aeseseh 5 . #x51)
  (aessesseh 5 . #x51)
  (aseseh 5 . #x51)
  (assesseh 5 . #x51)
  (hisisih 6 . #x50)
  (hississih 6 . #x50)
  (beseh 6 . #x51)
  (besseh 6 . #x51)
  (cisisil 0 . #x4A)
  (cississil 0 . #x4A)
  (cesesel 0 . #x4B)
  (cessessel 0 . #x4B)
  (disisil 1 . #x4A)
  (dississil 1 . #x4A)
  (desesel 1 . #x4B)
  (dessessel 1 . #x4B)
  (eisisil 2 . #x4A)
  (eississil 2 . #x4A)
  (eesesel 2 . #x4B)
  (eessessel 2 . #x4B)
  (esesel 2 . #x4B)
  (essessel 2 . #x4B)
  (fisisil 3 . #x4A)
  (fississil 3 . #x4A)
  (fesesel 3 . #x4B)
  (fessessel 3 . #x4B)
  (gisisil 4 . #x4A)
  (gississil 4 . #x4A)
  (gesesel 4 . #x4B)
  (gessessel 4 . #x4B)
  (aisisil 5 . #x4A)
  (aississil 5 . #x4A)
  (aesesel 5 . #x4B)
  (aessessel 5 . #x4B)
  (asesel 5 . #x4B)
  (assessel 5 . #x4B)
  (hisisil 6 . #x4A)
  (hississil 6 . #x4A)
  (besel 6 . #x4B)
  (bessel 6 . #x4B)
  (cisisir 0 . #x48)
  (cississir 0 . #x48)
  (ceseser 0 . #x49)
  (cessesser 0 . #x49)
  (disisir 1 . #x48)
  (dississir 1 . #x48)
  (deseser 1 . #x49)
  (dessesser 1 . #x49)
  (eisisir 2 . #x48)
  (eississir 2 . #x48)
  (eeseser 2 . #x49)
  (eessesser 2 . #x49)
  (eseser 2 . #x49)
  (essesser 2 . #x49)
  (fisisir 3 . #x48)
  (fississir 3 . #x48)
  (feseser 3 . #x49)
  (fessesser 3 . #x49)
  (gisisir 4 . #x48)
  (gississir 4 . #x48)
  (geseser 4 . #x49)
  (gessesser 4 . #x49)
  (aisisir 5 . #x48)
  (aississir 5 . #x48)
  (aeseser 5 . #x49)
  (aessesser 5 . #x49)
  (aseser 5 . #x49)
  (assesser 5 . #x49)
  (hisisir 6 . #x48)
  (hississir 6 . #x48)
  (beser 6 . #x49)
  (besser 6 . #x49)))

;; Finnish names by Heikki Junes <heikki.junes@hut.fi>,
;; Torsten Hämmerle <torsten.haemmerle@web.de>  quarter-tones added
(suomi . (
  (c 0 . 0)
  (d 1 . 0)
  (e 2 . 0)
  (f 3 . 0)
  (g 4 . 0)
  (a 5 . 0)
  (h 6 . 0)
  (cis 0 . #x28)
  (ces 0 . #x29)
  (dis 1 . #x28)
  (des 1 . #x29)
  (eis 2 . #x28)
  (es 2 . #x29)
  (fis 3 . #x28)
  (fes 3 . #x29)
  (gis 4 . #x28)
  (ges 4 . #x29)
  (ais 5 . #x28)
  (as 5 . #x29)
  (his 6 . #x28)
  (b 6 . #x29)
  (cih 0 . #x1A)
  (ceh 0 . #x1B)
  (dih 1 . #x1A)
  (deh 1 . #x1B)
  (eih 2 . #x1A)
  (eeh 2 . #x1B)
  (fih 3 . #x1A)
  (feh 3 . #x1B)
  (gih 4 . #x1A)
  (geh 4 . #x1B)
  (aih 5 . #x1A)
  (aeh 5 . #x1B)
  (hih 6 . #x1A)
  (heh 6 . #x1B)
  (ciseh 0 . #x21A)
  (cesih 0 . #x21B)
  (diseh 1 . #x21A)
  (desih 1 . #x21B)
  (eiseh 2 . #x21A)
  (esih 2 . #x21B)
  (fiseh 3 . #x21A)
  (fesih 3 . #x21B)
  (giseh 4 . #x21A)
  (gesih 4 . #x21B)
  (aiseh 5 . #x21A)
  (asih 5 . #x21B)
  (hiseh 6 . #x21A)
  (bih 6 . #x21B)
  (cil 0 . #x14)
  (cel 0 . #x15)
  (dil 1 . #x14)
  (del 1 . #x15)
  (eil 2 . #x14)
  (eel 2 . #x15)
  (fil 3 . #x14)
  (fel 3 . #x15)
  (gil 4 . #x14)
  (gel 4 . #x15)
  (ail 5 . #x14)
  (ael 5 . #x15)
  (hil 6 . #x14)
  (hel 6 . #x15)
  (cisel 0 . #x22)
  (cesil 0 . #x23)
  (disel 1 . #x22)
  (desil 1 . #x23)
  (eisel 2 . #x22)
  (esil 2 . #x23)
  (fisel 3 . #x22)
  (fesil 3 . #x23)
  (gisel 4 . #x22)
  (gesil 4 . #x23)
  (aisel 5 . #x22)
  (asil 5 . #x23)
  (hisel 6 . #x22)
  (bil 6 . #x23)
  (cir 0 . #x12)
  (cer 0 . #x13)
  (dir 1 . #x12)
  (der 1 . #x13)
  (eir 2 . #x12)
  (eer 2 . #x13)
  (fir 3 . #x12)
  (fer 3 . #x13)
  (gir 4 . #x12)
  (ger 4 . #x13)
  (air 5 . #x12)
  (aer 5 . #x13)
  (hir 6 . #x12)
  (her 6 . #x13)
  (ciser 0 . #x24)
  (cesir 0 . #x25)
  (diser 1 . #x24)
  (desir 1 . #x25)
  (eiser 2 . #x24)
  (esir 2 . #x25)
  (fiser 3 . #x24)
  (fesir 3 . #x25)
  (giser 4 . #x24)
  (gesir 4 . #x25)
  (aiser 5 . #x24)
  (asir 5 . #x25)
  (hiser 6 . #x24)
  (bir 6 . #x25)
  (cisih 0 . #x36)
  (ceseh 0 . #x37)
  (disih 1 . #x36)
  (deseh 1 . #x37)
  (eisih 2 . #x36)
  (eseh 2 . #x37)
  (fisih 3 . #x36)
  (feseh 3 . #x37)
  (gisih 4 . #x36)
  (geseh 4 . #x37)
  (aisih 5 . #x36)
  (asah 5 . #x37)
  (aseh 5 . #x37)
  (hisih 6 . #x36)
  (beh 6 . #x37)
  (cisiseh 0 . #x236)
  (cesesih 0 . #x237)
  (disiseh 1 . #x236)
  (desesih 1 . #x237)
  (eisiseh 2 . #x236)
  (esesih 2 . #x237)
  (fisiseh 3 . #x236)
  (fesesih 3 . #x237)
  (gisiseh 4 . #x236)
  (gesesih 4 . #x237)
  (aisiseh 5 . #x236)
  (asasih 5 . #x237)
  (asesih 5 . #x237)
  (hisiseh 6 . #x236)
  (besih 6 . #x237)
  (hesesih 6 . #x237)
  (cisil 0 . #x30)
  (cesel 0 . #x31)
  (disil 1 . #x30)
  (desel 1 . #x31)
  (eisil 2 . #x30)
  (esel 2 . #x31)
  (fisil 3 . #x30)
  (fesel 3 . #x31)
  (gisil 4 . #x30)
  (gesel 4 . #x31)
  (aisil 5 . #x30)
  (asal 5 . #x31)
  (asel 5 . #x31)
  (hisil 6 . #x30)
  (bel 6 . #x31)
  (cisisel 0 . #x3E)
  (cesesil 0 . #x3F)
  (disisel 1 . #x3E)
  (desesil 1 . #x3F)
  (eisisel 2 . #x3E)
  (esesil 2 . #x3F)
  (fisisel 3 . #x3E)
  (fesesil 3 . #x3F)
  (gisisel 4 . #x3E)
  (gesesil 4 . #x3F)
  (aisisel 5 . #x3E)
  (asasil 5 . #x3F)
  (asesil 5 . #x3F)
  (hisisel 6 . #x3E)
  (besil 6 . #x3F)
  (hesesil 6 . #x3F)
  (cisir 0 . #x2E)
  (ceser 0 . #x2F)
  (disir 1 . #x2E)
  (deser 1 . #x2F)
  (eisir 2 . #x2E)
  (eser 2 . #x2F)
  (fisir 3 . #x2E)
  (feser 3 . #x2F)
  (gisir 4 . #x2E)
  (geser 4 . #x2F)
  (aisir 5 . #x2E)
  (asar 5 . #x2F)
  (aser 5 . #x2F)
  (hisir 6 . #x2E)
  (ber 6 . #x2F)
  (cisiser 0 . #x40)
  (cesesir 0 . #x41)
  (disiser 1 . #x40)
  (desesir 1 . #x41)
  (eisiser 2 . #x40)
  (esesir 2 . #x41)
  (fisiser 3 . #x40)
  (fesesir 3 . #x41)
  (gisiser 4 . #x40)
  (gesesir 4 . #x41)
  (aisiser 5 . #x40)
  (asasir 5 . #x41)
  (asesir 5 . #x41)
  (hisiser 6 . #x40)
  (besir 6 . #x41)
  (hesesir 6 . #x41)
  (cisis 0 . #x44)
  (ceses 0 . #x45)
  (disis 1 . #x44)
  (deses 1 . #x45)
  (eisis 2 . #x44)
  (eses 2 . #x45)
  (fisis 3 . #x44)
  (feses 3 . #x45)
  (gisis 4 . #x44)
  (geses 4 . #x45)
  (aisis 5 . #x44)
  (asas 5 . #x45)
  (ases 5 . #x45)
  (hisis 6 . #x44)
  (bes 6 . #x45)
  (heses 6 . #x45)
  (cisisih 0 . #x50)
  (ceseseh 0 . #x51)
  (disisih 1 . #x50)
  (deseseh 1 . #x51)
  (eisisih 2 . #x50)
  (eseseh 2 . #x51)
  (fisisih 3 . #x50)
  (feseseh 3 . #x51)
  (gisisih 4 . #x50)
  (geseseh 4 . #x51)
  (aisisih 5 . #x50)
  (asasah 5 . #x51)
  (aseseh 5 . #x51)
  (hisisih 6 . #x50)
  (beseh 6 . #x51)
  (heseseh 6 . #x51)
  (cisisil 0 . #x4A)
  (cesesel 0 . #x4B)
  (disisil 1 . #x4A)
  (desesel 1 . #x4B)
  (eisisil 2 . #x4A)
  (esesel 2 . #x4B)
  (fisisil 3 . #x4A)
  (fesesel 3 . #x4B)
  (gisisil 4 . #x4A)
  (gesesel 4 . #x4B)
  (aisisil 5 . #x4A)
  (asasal 5 . #x4B)
  (asesel 5 . #x4B)
  (hisisil 6 . #x4A)
  (besel 6 . #x4B)
  (hesesel 6 . #x4B)
  (cisisir 0 . #x48)
  (ceseser 0 . #x49)
  (disisir 1 . #x48)
  (deseser 1 . #x49)
  (eisisir 2 . #x48)
  (eseser 2 . #x49)
  (fisisir 3 . #x48)
  (feseser 3 . #x49)
  (gisisir 4 . #x48)
  (geseser 4 . #x49)
  (aisisir 5 . #x48)
  (asasar 5 . #x49)
  (aseser 5 . #x49)
  (hisisir 6 . #x48)
  (beser 6 . #x49)
  (heseser 6 . #x49)))

;; Swedish names by Mats Bengtsson <mabe@violin.s3.kth.se>,
;; Torsten Hämmerle <torsten.haemmerle@web.de>  quarter-tones added
(svenska . (
  (c 0 . 0)
  (d 1 . 0)
  (e 2 . 0)
  (f 3 . 0)
  (g 4 . 0)
  (a 5 . 0)
  (h 6 . 0)
  (ciss 0 . #x28)
  (cess 0 . #x29)
  (diss 1 . #x28)
  (dess 1 . #x29)
  (eiss 2 . #x28)
  (ess 2 . #x29)
  (fiss 3 . #x28)
  (fess 3 . #x29)
  (giss 4 . #x28)
  (gess 4 . #x29)
  (aiss 5 . #x28)
  (ass 5 . #x29)
  (hiss 6 . #x28)
  (b 6 . #x29)
  (cih 0 . #x1A)
  (ceh 0 . #x1B)
  (dih 1 . #x1A)
  (deh 1 . #x1B)
  (eih 2 . #x1A)
  (eeh 2 . #x1B)
  (fih 3 . #x1A)
  (feh 3 . #x1B)
  (gih 4 . #x1A)
  (geh 4 . #x1B)
  (aih 5 . #x1A)
  (aeh 5 . #x1B)
  (hih 6 . #x1A)
  (heh 6 . #x1B)
  (cisseh 0 . #x21A)
  (cessih 0 . #x21B)
  (disseh 1 . #x21A)
  (dessih 1 . #x21B)
  (eisseh 2 . #x21A)
  (essih 2 . #x21B)
  (fisseh 3 . #x21A)
  (fessih 3 . #x21B)
  (gisseh 4 . #x21A)
  (gessih 4 . #x21B)
  (aisseh 5 . #x21A)
  (assih 5 . #x21B)
  (hisseh 6 . #x21A)
  (hessih 6 . #x21B)
  (cil 0 . #x14)
  (cel 0 . #x15)
  (dil 1 . #x14)
  (del 1 . #x15)
  (eil 2 . #x14)
  (eel 2 . #x15)
  (fil 3 . #x14)
  (fel 3 . #x15)
  (gil 4 . #x14)
  (gel 4 . #x15)
  (ail 5 . #x14)
  (ael 5 . #x15)
  (hil 6 . #x14)
  (hel 6 . #x15)
  (cissel 0 . #x22)
  (cessil 0 . #x23)
  (dissel 1 . #x22)
  (dessil 1 . #x23)
  (eissel 2 . #x22)
  (essil 2 . #x23)
  (fissel 3 . #x22)
  (fessil 3 . #x23)
  (gissel 4 . #x22)
  (gessil 4 . #x23)
  (aissel 5 . #x22)
  (assil 5 . #x23)
  (hissel 6 . #x22)
  (hessil 6 . #x23)
  (cir 0 . #x12)
  (cer 0 . #x13)
  (dir 1 . #x12)
  (der 1 . #x13)
  (eir 2 . #x12)
  (eer 2 . #x13)
  (fir 3 . #x12)
  (fer 3 . #x13)
  (gir 4 . #x12)
  (ger 4 . #x13)
  (air 5 . #x12)
  (aer 5 . #x13)
  (hir 6 . #x12)
  (her 6 . #x13)
  (cisser 0 . #x24)
  (cessir 0 . #x25)
  (disser 1 . #x24)
  (dessir 1 . #x25)
  (eisser 2 . #x24)
  (essir 2 . #x25)
  (fisser 3 . #x24)
  (fessir 3 . #x25)
  (gisser 4 . #x24)
  (gessir 4 . #x25)
  (aisser 5 . #x24)
  (assir 5 . #x25)
  (hisser 6 . #x24)
  (hessir 6 . #x25)
  (cissih 0 . #x36)
  (cesseh 0 . #x37)
  (dissih 1 . #x36)
  (desseh 1 . #x37)
  (eissih 2 . #x36)
  (esseh 2 . #x37)
  (fissih 3 . #x36)
  (fesseh 3 . #x37)
  (gissih 4 . #x36)
  (gesseh 4 . #x37)
  (aissih 5 . #x36)
  (asseh 5 . #x37)
  (hissih 6 . #x36)
  (hesseh 6 . #x37)
  (cississeh 0 . #x236)
  (cessessih 0 . #x237)
  (dississeh 1 . #x236)
  (dessessih 1 . #x237)
  (eississeh 2 . #x236)
  (essessih 2 . #x237)
  (fississeh 3 . #x236)
  (fessessih 3 . #x237)
  (gississeh 4 . #x236)
  (gessessih 4 . #x237)
  (aississeh 5 . #x236)
  (assessih 5 . #x237)
  (hississeh 6 . #x236)
  (hessessih 6 . #x237)
  (cissil 0 . #x30)
  (cessel 0 . #x31)
  (dissil 1 . #x30)
  (dessel 1 . #x31)
  (eissil 2 . #x30)
  (essel 2 . #x31)
  (fissil 3 . #x30)
  (fessel 3 . #x31)
  (gissil 4 . #x30)
  (gessel 4 . #x31)
  (aissil 5 . #x30)
  (assel 5 . #x31)
  (hissil 6 . #x30)
  (hessel 6 . #x31)
  (cississel 0 . #x3E)
  (cessessil 0 . #x3F)
  (dississel 1 . #x3E)
  (dessessil 1 . #x3F)
  (eississel 2 . #x3E)
  (essessil 2 . #x3F)
  (fississel 3 . #x3E)
  (fessessil 3 . #x3F)
  (gississel 4 . #x3E)
  (gessessil 4 . #x3F)
  (aississel 5 . #x3E)
  (assessil 5 . #x3F)
  (hississel 6 . #x3E)
  (hessessil 6 . #x3F)
  (cissir 0 . #x2E)
  (cesser 0 . #x2F)
  (dissir 1 . #x2E)
  (desser 1 . #x2F)
  (eissir 2 . #x2E)
  (esser 2 . #x2F)
  (fissir 3 . #x2E)
  (fesser 3 . #x2F)
  (gissir 4 . #x2E)
  (gesser 4 . #x2F)
  (aissir 5 . #x2E)
  (asser 5 . #x2F)
  (hissir 6 . #x2E)
  (hesser 6 . #x2F)
  (cississer 0 . #x40)
  (cessessir 0 . #x41)
  (dississer 1 . #x40)
  (dessessir 1 . #x41)
  (eississer 2 . #x40)
  (essessir 2 . #x41)
  (fississer 3 . #x40)
  (fessessir 3 . #x41)
  (gississer 4 . #x40)
  (gessessir 4 . #x41)
  (aississer 5 . #x40)
  (assessir 5 . #x41)
  (hississer 6 . #x40)
  (hessessir 6 . #x41)
  (cississ 0 . #x44)
  (cessess 0 . #x45)
  (dississ 1 . #x44)
  (dessess 1 . #x45)
  (eississ 2 . #x44)
  (essess 2 . #x45)
  (fississ 3 . #x44)
  (fessess 3 . #x45)
  (gississ 4 . #x44)
  (gessess 4 . #x45)
  (aississ 5 . #x44)
  (assess 5 . #x45)
  (hississ 6 . #x44)
  (hessess 6 . #x45)
  (cississih 0 . #x50)
  (cessesseh 0 . #x51)
  (dississih 1 . #x50)
  (dessesseh 1 . #x51)
  (eississih 2 . #x50)
  (essesseh 2 . #x51)
  (fississih 3 . #x50)
  (fessesseh 3 . #x51)
  (gississih 4 . #x50)
  (gessesseh 4 . #x51)
  (aississih 5 . #x50)
  (assesseh 5 . #x51)
  (hississih 6 . #x50)
  (hessesseh 6 . #x51)
  (cississil 0 . #x4A)
  (cessessel 0 . #x4B)
  (dississil 1 . #x4A)
  (dessessel 1 . #x4B)
  (eississil 2 . #x4A)
  (essessel 2 . #x4B)
  (fississil 3 . #x4A)
  (fessessel 3 . #x4B)
  (gississil 4 . #x4A)
  (gessessel 4 . #x4B)
  (aississil 5 . #x4A)
  (assessel 5 . #x4B)
  (hississil 6 . #x4A)
  (hessessel 6 . #x4B)
  (cississir 0 . #x48)
  (cessesser 0 . #x49)
  (dississir 1 . #x48)
  (dessesser 1 . #x49)
  (eississir 2 . #x48)
  (essesser 2 . #x49)
  (fississir 3 . #x48)
  (fessesser 3 . #x49)
  (gississir 4 . #x48)
  (gessesser 4 . #x49)
  (aississir 5 . #x48)
  (assesser 5 . #x49)
  (hississir 6 . #x48)
  (hessesser 6 . #x49)))
)


% Notation tables
ekmNotations = #'(

;; Arrow notation
(arrow .(
  (#x00 #xE261)
  (#x12 #xE47B)
  (#x13 #xE47C)
  (#x14 #xE2A4)
  (#x15 #xE2A1)
  (#x1A #xE27A)
  (#x1B #xE27B)
  (#x22 #xE2A1 #xE262)
  (#x23 #xE2A4 #xE260)
  (#x24 #xE47C #xE262)
  (#x25 #xE47B #xE260)
  (#x28 #xE262)
  (#x29 #xE260)
  (#x2E #xE47B #xE262)
  (#x2F #xE47C #xE260)
  (#x30 #xE2A4 #xE262)
  (#x31 #xE2A1 #xE260)
  (#x36 #xE27A #xE262)
  (#x37 #xE27B #xE260)
  (#x3E #xE2A1 #xE263)
  (#x3F #xE2A4 #xE264)
  (#x40 #xE47C #xE263)
  (#x41 #xE47B #xE264)
  (#x44 #xE263)
  (#x45 #xE264)
  (#x48 #xE47B #xE263)
  (#x49 #xE47C #xE264)
  (#x4A #xE2A4 #xE263)
  (#x4B #xE2A1 #xE264)
  (#x50 #xE27A #xE263)
  (#x51 #xE27B #xE264)
  (#x21A #xE27B #xE262)
  (#x21B #xE27A #xE260)
  (#x236 #xE27B #xE263)
  (#x237 #xE27A #xE264)))

;; Richter Herf / Maedel notation
(rhm . (
  (#x00 #xE261)
  (#x12 #xF603)
  (#x13 #xF600)
  (#x14 #xF604)
  (#x15 #xF601)
  (#x1A #xF605)
  (#x1B #xF602)
  (#x22 #xF601 #xE262)
  (#x23 #xF604 #xE260)
  (#x24 #xF600 #xE262)
  (#x25 #xF603 #xE260)
  (#x28 #xE262)
  (#x29 #xE260)
  (#x2E #xF603 #xE262)
  (#x2F #xF600 #xE260)
  (#x30 #xF604 #xE262)
  (#x31 #xF601 #xE260)
  (#x36 #xF605 #xE262)
  (#x37 #xF602 #xE260)
  (#x3E #xF601 #xE263)
  (#x3F #xF604 #xE264)
  (#x40 #xF600 #xE263)
  (#x41 #xF603 #xE264)
  (#x44 #xE263)
  (#x45 #xE264)
  (#x48 #xF603 #xE263)
  (#x49 #xF600 #xE264)
  (#x4A #xF604 #xE263)
  (#x4B #xF601 #xE264)
  (#x50 #xF605 #xE263)
  (#x51 #xF602 #xE264)
  (#x21A #xF602 #xE262)
  (#x21B #xF605 #xE260)
  (#x236 #xF602 #xE263)
  (#x237 #xF605 #xE264)))

;; Sims notation
(sims . (
  (#x00 #xE261)
  (#x12 #xE2A3)
  (#x13 #xE2A0)
  (#x14 #xE2A4)
  (#x15 #xE2A1)
  (#x1A #xE2A5)
  (#x1B #xE2A2)
  (#x22 #xE2A1 #xE262)
  (#x23 #xE2A4 #xE260)
  (#x24 #xE2A0 #xE262)
  (#x25 #xE2A3 #xE260)
  (#x28 #xE262)
  (#x29 #xE260)
  (#x2E #xE2A3 #xE262)
  (#x2F #xE2A0 #xE260)
  (#x30 #xE2A4 #xE262)
  (#x31 #xE2A1 #xE260)
  (#x36 #xE2A5 #xE262)
  (#x37 #xE2A2 #xE260)
  (#x3E #xE2A1 #xE263)
  (#x3F #xE2A4 #xE264)
  (#x40 #xE2A0 #xE263)
  (#x41 #xE2A3 #xE264)
  (#x44 #xE263)
  (#x45 #xE264)
  (#x48 #xE2A3 #xE263)
  (#x49 #xE2A0 #xE264)
  (#x4A #xE2A4 #xE263)
  (#x4B #xE2A1 #xE264)
  (#x50 #xE2A5 #xE263)
  (#x51 #xE2A2 #xE264)
  (#x21A #xE2A2 #xE262)
  (#x21B #xE2A5 #xE260)
  (#x236 #xE2A2 #xE263)
  (#x237 #xE2A5 #xE264)))

;; Sagittal notation
(sag . (
  (#x00 #xE261)
  (#x12 #xE302)
  (#x13 #xE303)
  (#x14 #xE304)
  (#x15 #xE305)
  (#x1A #xE30A)
  (#x1B #xE30B)
  (#x22 #xE312)
  (#x23 #xE313)
  (#x24 #xE314)
  (#x25 #xE315)
  (#x28 #xE318)
  (#x29 #xE319)
  (#x2E #xE31E)
  (#x2F #xE31F)
  (#x30 #xE320)
  (#x31 #xE321)
  (#x36 #xE326)
  (#x37 #xE327)
  (#x3E #xE32E)
  (#x3F #xE32F)
  (#x40 #xE330)
  (#x41 #xE331)
  (#x44 #xE334)
  (#x45 #xE335)
  (#x48 #xE302 #xE334)
  (#x49 #xE303 #xE335)
  (#x4A #xE304 #xE334)
  (#x4B #xE305 #xE335)
  (#x50 #xE30A #xE334)
  (#x51 #xE30B #xE335)))

;; Mixed Sagittal notation
(msag . (
  (#x00 #xE261)
  (#x12 #xE302)
  (#x13 #xE303)
  (#x14 #xE304)
  (#x15 #xE305)
  (#x1A #xE30A)
  (#x1B #xE30B)
  (#x22 #xE305 #xE262)
  (#x23 #xE304 #xE260)
  (#x24 #xE303 #xE262)
  (#x25 #xE302 #xE260)
  (#x28 #xE262)
  (#x29 #xE260)
  (#x2E #xE302 #xE262)
  (#x2F #xE303 #xE260)
  (#x30 #xE304 #xE262)
  (#x31 #xE305 #xE260)
  (#x36 #xE30A #xE262)
  (#x37 #xE30B #xE260)
  (#x3E #xE305 #xE47D)
  (#x3F #xE304 #xE264)
  (#x40 #xE303 #xE47D)
  (#x41 #xE302 #xE264)
  (#x44 #xE47D)
  (#x45 #xE264)
  (#x48 #xE302 #xE47D)
  (#x49 #xE303 #xE264)
  (#x4A #xE304 #xE47D)
  (#x4B #xE305 #xE264)
  (#x50 #xE30A #xE47D)
  (#x51 #xE30B #xE264)
  (#x21A #xE30B #xE262)
  (#x21B #xE30A #xE260)
  (#x236 #xE30B #xE47D)
  (#x237 #xE30A #xE264)))

;; Wyschnegradsky notation
(wys . (
  (#x00 #xE261)
  (#x12 #xE420)
  (#x13 #xE42B)
  (#x14 #xE421)
  (#x15 #xE42C)
  (#x1A #xE422)
  (#x1B #xE42D)
  (#x22 #xE423)
  (#x23 #xE42E)
  (#x24 #xE424)
  (#x25 #xE42F)
  (#x28 #xE425)
  (#x29 #xE430)
  (#x2E #xE426)
  (#x2F #xE431)
  (#x30 #xE427)
  (#x31 #xE432)
  (#x36 #xE428)
  (#x37 #xE433)
  (#x3E #xE429)
  (#x3F #xE434)
  (#x40 #xE42A)
  (#x41 #xE435)
  (#x44 #xE263)
  (#x45 #xE264)
  (#x48 #xE420 #xE263)
  (#x49 #xE42B #xE264)
  (#x4A #xE421 #xE263)
  (#x4B #xE42C #xE264)
  (#x50 #xE422 #xE263)
  (#x51 #xE42D #xE264)))

;; Gould + Stein / Zimmermann notation (36 + 24-EDO)
(gost . (
  (#x00 #xE261)
  (#x12 #xE47B)
  (#x13 #xE47C)
  (#x14 #xE272)
  (#x15 #xE273)
  (#x1A #xE282)
  (#x1B #xE284)
  (#x22 #xE275)
  (#x23 #xE270)
  (#x24 #xE47C #xE262)
  (#x25 #xE47B #xE260)
  (#x28 #xE262)
  (#x29 #xE260)
  (#x2E #xE47B #xE262)
  (#x2F #xE47C #xE260)
  (#x30 #xE274)
  (#x31 #xE271)
  (#x36 #xE283)
  (#x37 #xE285)
  (#x3E #xE277)
  (#x3F #xE278)
  (#x40 #xE47C #xE263)
  (#x41 #xE47B #xE264)
  (#x44 #xE263)
  (#x45 #xE264)
  (#x48 #xE47B #xE263)
  (#x49 #xE47C #xE264)
  (#x4A #xE276)
  (#x4B #xE279)
  (#x50 #xE282 #xE263)
  (#x51 #xE284 #xE264)
  (#x21A #xE284 #xE262)
  (#x21B #xE282 #xE260)
  (#x236 #xE284 #xE263)
  (#x237 #xE282 #xE264)))

;; Bosanquet commatic notation
(bos . (
  (#x00 #xE261)
  (#x12 #xE479)
  (#x13 #xE47A)
  (#x14 #xE479 #xE479)
  (#x15 #xE47A #xE47A)
  (#x1A #xE479 #xE479 #xE479)
  (#x1B #xE47A #xE47A #xE47A)
  (#x22 #xE47A #xE47A #xE262)
  (#x23 #xE479 #xE479 #xE260)
  (#x24 #xE47A #xE262)
  (#x25 #xE479 #xE260)
  (#x28 #xE262)
  (#x29 #xE260)
  (#x2E #xE479 #xE262)
  (#x2F #xE47A #xE260)
  (#x30 #xE479 #xE479 #xE262)
  (#x31 #xE47A #xE47A #xE260)
  (#x36 #xE479 #xE479 #xE479 #xE262)
  (#x37 #xE47A #xE47A #xE47A #xE260)
  (#x3E #xE47A #xE47A #xE263)
  (#x3F #xE479 #xE479 #xE264)
  (#x40 #xE47A #xE263)
  (#x41 #xE479 #xE264)
  (#x44 #xE263)
  (#x45 #xE264)
  (#x48 #xE479 #xE263)
  (#x49 #xE47A #xE264)
  (#x4A #xE479 #xE479 #xE263)
  (#x4B #xE47A #xE47A #xE264)
  (#x50 #xE479 #xE479 #xE479 #xE263)
  (#x51 #xE47A #xE47A #xE47A #xE264)
  (#x21A #xE47A #xE47A #xE47A #xE262)
  (#x21B #xE479 #xE479 #xE479 #xE260)
  (#x236 #xE47A #xE47A #xE47A #xE263)
  (#x237 #xE479 #xE479 #xE479 #xE264)))

;; Ferneyhough notation (18 + 24-EDO)
(fern . (
  (#x00 #xE261)
  (#x12 #xE47B)
  (#x13 #xE47C)
  (#x14 #xE47C #xE48E)
  (#x15 #xE47B #xE48F)
  (#x1A #xE48E)
  (#x1B #xE48F)
  (#x22 #xE48A)
  (#x23 #xE48B)
  (#x24 #xE47C #xE262)
  (#x25 #xE47B #xE260)
  (#x28 #xE262)
  (#x29 #xE260)
  (#x2E #xE47B #xE262)
  (#x2F #xE47C #xE260)
  (#x30 #xE48C)
  (#x31 #xE48D)
  (#x36 #xE48E #xE262)
  (#x37 #xE48F #xE260)
  (#x3E #xE47B #xE48E #xE262)
  (#x3F #xE47C #xE48F #xE260)
  (#x40 #xE47C #xE263)
  (#x41 #xE47B #xE264)
  (#x44 #xE263)
  (#x45 #xE264)
  (#x48 #xE47B #xE263)
  (#x49 #xE47C #xE264)
  (#x4A #xE47C #xE48E #xE263)
  (#x4B #xE47B #xE48F #xE264)
  (#x50 #xE48E #xE263)
  (#x51 #xE48F #xE264)
  (#x21A #xE48F #xE262)
  (#x21B #xE48E #xE260)
  (#x236 #xE48F #xE263)
  (#x237 #xE48E #xE264)))

;; Hába notation
(haba . (
  (#x00 #xE261)
  (#x12 #xF660)
  (#x13 #xF66B)
  (#x14 #xF661)
  (#x15 #xF66C)
  (#x1A #xF662)
  (#x1B #xF66D)
  (#x22 #xF663)
  (#x23 #xF66E)
  (#x24 #xF664)
  (#x25 #xF66F)
  (#x28 #xF665)
  (#x29 #xF670)
  (#x2E #xF666)
  (#x2F #xF66B #xF670)
  (#x30 #xF667)
  (#x31 #xF66C #xF670)
  (#x36 #xF668)
  (#x37 #xF66D #xF670)
  (#x3E #xF669)
  (#x3F #xF661 #xE264)
  (#x40 #xF66A)
  (#x41 #xF660 #xE264)
  (#x44 #xE263)
  (#x45 #xE264)
  (#x48 #xF660 #xE263)
  (#x49 #xF66B #xE264)
  (#x4A #xF661 #xE263)
  (#x4B #xF66C #xE264)
  (#x50 #xF662 #xE263)
  (#x51 #xF66D #xE264)
  (#x21A #xF662)
  (#x21B #xF66D)
  (#x236 #xF66D #xE263)
  (#x237 #xF662 #xE264)))
)


\include "ekmel-main.ily"
